2005-04-28  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/X11.tmpl:
	Bug #3080: Disable DPS in the default build.

2005-04-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* include/Xosdefs.h:
	Don't define X_NOT_STDC_ENV on Solaris x86.
	Bugzilla #3158: https://bugs.freedesktop.org/show_bug.cgi?id=3158
	Patch #2588: https://bugs.freedesktop.org/attachment.cgi?id=2588
	(Henry Zhao, Sun Microsystems)

2005-04-27  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/os/utils.c: (OsBlockSignals):
	Catch SIGCHLD in OsBlockSignals() too to make sure this
	signal doesn't intercept reading the authority file (Fabian Franz,
	Bugzilla #3137).
	
2005-04-26 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	bugzilla #2879 (https://bugs.freedesktop.org/show_bug.cgi?id=2879)
	attachment #2556 (https://bugs.freedesktop.org/attachment.cgi?id=2556)
	Refix for bug 2879 - downgrade 15bit PseudoColor to 14bit - the current
	datatype for the |ColormapEntries| is a |signed short| which is too
	small for |32768| colors (=integer overflow).

2005-04-26 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xdpyinfo/xdpyinfo.c
	bugzilla #2705 (https://bugs.freedesktop.org/show_bug.cgi?id=2705)
	attachment #2555 (https://bugs.freedesktop.org/attachment.cgi?id=2555)
	bug 2705 part II: Fix build to work with |#define BuildXprint NO|
	Patch by Kevin E. Martin <kem@freedesktop.org>

2005-04-25  Alexander Gottwald  <ago at freedesktop dot org>

	* config/xf/X11.tmpl:
	Bug #3069: Reenable DefaultFontPath and DefaultFSFontPath which got 
	removed in the BuildLowMem commit

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/loadmod.c:
	Bug #2138: When the server is built with MakeDllModules YES, prefer
	dlloader modules to elfloader modules, and vice versa when
	MakeDllModules is NO.  Based on 028_loader_speed_hack.diff from
	Ubuntu (Daniel Stone).

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_apm.c:
	Bug #2141: Rework misleading warning message when APM support is
	unavailable. (Previous patch on 2005-04-14 changed the wrong message.)

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.cf:
	Bug #2072: Always define LargePositionIndependentCFlags on sparc
	systems using gcc.  (Ferris McCormick)

2005-04-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	* xc/programs/Xserver/Xext/Imakefile
	* xc/programs/Xserver/dix/Imakefile
	* xc/programs/Xserver/dix/main.c
	* xc/programs/Xserver/dix/xpstubs.c
	* xc/programs/Xserver/mi/miinitext.c
	* xc/programs/Xserver/os/utils.c
	bugzilla #2792 (https://bugs.freedesktop.org/show_bug.cgi?id=2792)
	attachment #2526 (https://bugs.freedesktop.org/attachment.cgi?id=2526)
	bug 2792 part II: Make Xprint headers in dix/, mi/, os/ and Xext/
	conditional on whether the Xprint extension is build or not.
	Patch by Egbert Eich  <eich@freedesktop.org> and Roland Mainz
	<roland.mainz@nrubsig.org>.

2005-04-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/dix/main.c
	bugzilla #3118 (https://bugs.freedesktop.org/show_bug.cgi?id=3118)
	attachment #2525 (https://bugs.freedesktop.org/attachment.cgi?id=2525)
	Get Xprint server working again which was broken by the
	05/04/20 05:49:46 commit commit (the CPP symbol |XPRINT| is not
	universally available when building the Xserver and should be used
	with care).

2005-04-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/linux.cf
	* xc/config/cf/sun.cf
	bugzilla #3023 (https://bugs.freedesktop.org/show_bug.cgi?id=3023)
	attachment #2523 (https://bugs.freedesktop.org/attachment.cgi?id=2523)
	Make the Xserver and libraries (X11, Xt, Xaw etc.) and client
	applications largefile-aware by default on Linux and Solaris (*BSD
	platforms and IRIX are aready largefile-aware by default, only the
	status of AIX+HP/UX is currently unknown). The change does not
	affect Xserver modules loaded via the ELF loader which would either
	require an ABI change or a port of the whole lf64(5) API (both steps
	may not be required as the ELF loader may go away in favour of the DL
	loader where the libc wrapper is no longer needed to access files).

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/X11.tmpl:
	Bug #2606: Force the Security extension to be built if the Appgroup
	extension is requested.

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/loadmod.c:
	Bug #3016: Don't complain as loudly about failing to load a module
	that's already loaded.

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/elf.h:
	* programs/Xserver/hw/xfree86/loader/elfloader.c:
	Bug #3109: Handle R_ALPHA_BRSGP relocations in elfloader.
	(Sergey Tikhonov)

2005-04-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/xf86_libc.h:
	Work around clash between Solaris headers and module loader headers
	over definition of FILE.
	
2005-04-22  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* extras/ogl-sample/main/gfx/lib/glu/libnurbs/internals/simplemath.h:
	Add Sun CC to the list of compilers for which abs() should not be
	redefined.

2005-04-22  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/X11.tmpl:
	* lib/font/fontfile/ffcheck.c:
	* lib/font/fontfile/register.c:
	* programs/Xserver/Imakefile:
	* programs/Xserver/cfb/cfbgc.c:
	* programs/Xserver/cfb/cfbimage.c:
	* programs/Xserver/cfb/cfbpush8.c:
	* programs/Xserver/hw/sun/Imakefile:
	* programs/Xserver/hw/sun/sunCfb.c:
	* programs/Xserver/hw/sun/sunCursor.c:
	* programs/Xserver/hw/sun/sunInit.c:
	* programs/Xserver/hw/xfree86/xf8_32bpp/cfbgc.c:
	* programs/Xserver/hw/xfree86/xf8_32bpp/cfbgcunder.c:
	* programs/Xserver/lmfcfb/Imakefile:
	* programs/Xserver/mfb/Imakefile:
	* programs/Xserver/mfb/maskbits.c:
	* programs/Xserver/mfb/mfbbitblt.c:
	* programs/Xserver/mfb/mfbgc.c:
	* programs/Xserver/mfb/mfbimggblt.c:
	* programs/Xserver/mfb/mfbpixmap.c:
	* programs/Xserver/mfb/mfbscrinit.c:
	* programs/xfs/difs/Imakefile:
	* programs/xfs/difs/initfonts.c:
	Bug #3069: Drop the BuildLowMem hack, it doesn't compile and isn't
	useful.

2005-04-22  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/compiler.h:
	* programs/Xserver/hw/xfree86/common/xf86Bus.c:
	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	* programs/Xserver/hw/xfree86/loader/xf86sym.c:
	* programs/Xserver/hw/xfree86/os-support/xf86_OSproc.h:
	* programs/Xserver/hw/xfree86/os-support/bus/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.h:
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_ia64.c:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_pci.c:
	* programs/Xserver/hw/xfree86/os-support/shared/ia64Pci.c:
	* programs/Xserver/hw/xfree86/os-support/shared/ia64Pci.h:
	* programs/Xserver/hw/xfree86/os-support/bus/altixPCI.c:
	* programs/Xserver/hw/xfree86/os-support/bus/altixPCI.h:
	Bug #2373: SGI Altix platform support.  (Shrijeet Mukherjee,
	Jesse Barnes, Bjorn Helgaas, Egbert Eich.)

2005-04-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
	* programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c
	* programs/Xserver/hw/xfree86/drivers/nv/nv_type.h
	Bugzilla #3095 <https://bugs.freedesktop.org/show_bug.cgi?id=3095>
	Patch #2501 <https://bugs.freedesktop.org/attachment.cgi?id=2501>
	nv DPMS panel fixes 	(Mark Vojkovich)

2005-04-21  Thomas Winischhofer <thomas@winischhofer.net>

        * programs/Xserver/hw/xfree86/drivers/sis/*
	SiS driver:
	- Add SISCTRL extension
	- Declare Xv interface for SiSCtrl deprecated
	- Remove useless GammaPreBrightness feature
	- Fix LCD+TV mode for dual link panels
	- Add support for LCD-via-CRT1 for 315PRO
	- Add "TVBlueWorkAround" option
	- Various minor fixes

	* programs/Xserver/hw/xfree86/drivers/sisusb/*
	SiSUSB driver:
	- Add SISCTRL extension
	- Declare Xv interface for SiSCtrl deprecated

2005-04-20  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/drivers/ati/theatre.h
	Build fix for DoLoadableServer = NO systems. 

2005-04-20  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/xinit/startx.cpp:
	Separate server auth and client .Xautority file in startx.
	.Xautority might have credentials from other Xservers which
	we might not want to enable on ours Bugzilla #3078).
	
2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/GL/windows/glwindows.h:
	* programs/Xserver/GL/windows/glwrap.c:
	* programs/Xserver/os/auth.c:
	* programs/Xserver/os/xdmcp.c:
	* programs/Xserver/xkb/ddxLoad.c:
	Fix includes right throughout the Xserver tree:
	  * apply changes to windows specific includes
	* programs/Xserver/os/xdmauth.c:
	Fix includes right throughout the Xserver tree:
	  * apply changes to Xdmcp.h 

2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/xtrans/Imakefile:
	Fix includes right throughout the Xserver tree:
	  * Create both X11/Xtrans/Xtrans.h and X11/Xtrans.h in exports/include.
	    The first is for Xserver, the second is for libX11 and friends.

2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/xedit/util.c:
	Move variable declaration to top. Makes gcc2 happy.

2005-04-20  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/*:
	Fix includes right throughout the Xserver tree:
	  * change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
	  * change "foo.h", "extensions/foo.h" and "X11/foo.h" to
	    <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
	  * change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.
	* programs/Xserver/dix/main.c (InitOutput):
	Conditionalise usage of Xprint headers and functions.

2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/Xt/Initialize.c:
	Bugzilla #3072 (https://bugs.freedesktop.org/show_bug.cgi?id=3072)
	attachment #2469 (https://bugs.freedesktop.org/attachment.cgi?id=2469):
	fix uninitialized pointer in libXt on Win32. Reported by Dave Williss   

2005-04-18  Bogdan Diaconescu  <b_diaconescu@yahoo.com>
	Added support for RageTheatre200 see BugZilla #2778
	https://bugs.freedesktop.org/show_bug.cgi?id=2778

	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/generic_bus.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInit): Added new option for the ATI driver:
	RageTheatreMicrocPath - file path for microcode, 
	RageTheatreMicrocType - BINARY or ASCII. When RT200 is
	detected, microcode is uploaded from the specified file.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mm_i2c.c:
	(RADEONInitI2C): Changed the i2c bus access method for 
	GPUs newer than R100. Added detection code for PAL tuners FM1216MK3. 
	Added detection for UDA1380 sound processor.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONAllocAdaptor), (RADEONStopVideo), (RADEONSetPortAttribute),
	(RADEON_TDA9885_SetEncoding): TDA9885 exists on the MK3 tuners.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.h:
	Added UDA1380 object to the RADEONPortPrivRec.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_vip.c:
	(RADEONVIP_fifo_idle), (RADEONVIP_fifo_read),
	(RADEONVIP_fifo_write), (RADEONVIP_reset), (RADEONVIP_init):
	Added new functions for the VIP bus regarding the FIFO transfer.
	Changed the values at reset for processors newest than R200.
	* programs/Xserver/hw/xfree86/drivers/ati/theatre.c:
	* programs/Xserver/hw/xfree86/drivers/ati/theatre.h:
	* programs/Xserver/hw/xfree86/drivers/ati/theatre_reg.h:
	The theatre chip detection is now in a separate module called
	theatre_detect. Upon detecting the theatre chip type, 
	the coresponding theatre module will be loaded. For RageTheatre200 
	a new module is created called theater200.
	* programs/Xserver/hw/xfree86/drivers/i2c/Imakefile:
	Added new module uda1380 for the sound chip existing on 
	boards featuring RT200.
	* programs/Xserver/hw/xfree86/drivers/i2c/fi1236.c:
	(FI1236_get_afc_hint), (FI1236_tune), (FI1236_AFC):
	The MK3 tuners (PAL/NTSC/SECAM) now have the AFC signal comming 
	from the TDA98xx chip. The AFC hint can be gotten now from I2C.
	* programs/Xserver/hw/xfree86/drivers/i2c/fi1236.h:
	* programs/Xserver/hw/xfree86/drivers/i2c/tda9885.c:
	(tda9885_setparameters): Tweaks for new MK3 tuners.

2005-04-15  Torrey T. Lyons  <torrey@freedesktop.org>

	* lib/GL/apple/dri_glx.c: (GetDriverName), (glXGetDriverConfig):
	* programs/Xserver/hw/darwin/quartz/applewmExt.h:
	Fix cases in Darwin build where a variable is declared static and
	later as extern (XFree86 Bug #1576, Jordan Frank).

2005-04-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
	bugzilla #2885 (https://bugs.freedesktop.org/show_bug.cgi?id=2885)
	attachment #2434 (https://bugs.freedesktop.org/attachment.cgi?id=2434)
	Fix Solaris build bustage caused by namespace collision between symbols
	defined in <sys/kbd.h> and those in "xf86_OSlib.h".
	Patch by Alan Coopersmith  <alan.coopersmith@sun.com>.

2005-04-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_apm.c:
	Bug #2141: Rework misleading warning message when APM support is
	unavailable.

2005-04-14 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Fix initial DDC parameters when validating modes.

2005-04-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/cfb/cfbgc.c:
	Bug #3025: gcc4 build fix.

2005-04-14  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	User reports indicate that both command and vertex DMA on
	SuperSavages lock up the engine. Disabling DMA on SuperSavages
	until someone figures out how to make it work.

2005-04-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/psout.c
	bugzilla #3001 (https://bugs.freedesktop.org/show_bug.cgi?id=3001)
	attachment #2404 (https://bugs.freedesktop.org/attachment.cgi?id=2404)
	Improve rendering performance when glXSwapBuffers()| or |XPutImage()|
	are called for the PostScript DDX via optimizing the codepath around
	|PsOut_OutImageBytes()|.
	Patch by Simon Toedt <simon.toedt@gmail.com> and Roland Mainz
	<roland.mainz@nrubsig.org>.

2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/vfb/InitOutput.c: (vfbScreenInit):
	Reenable BackingStore in Xvfb.
	
2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	Removing the compiler flag -fsigned-char which is only used
	for a few BE platforms. This still needs some testing - which
	can only be done when in the tree, but since most platforms
	don't need I strongly assume it's not needed. Ticket remains
	open for discussion (Bugzilla #2964). 
	
2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>
	
	* programs/Xserver/hw/xfree86/os-support/bus/xf86Pci.h:
	Correct the mask bits when checking for a 64bit memory base
	in PCI config space (bugzilla #2963).
	
2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	(NEOPreInit), (NEOValidMode), (neoRestore), (neoModeInit),
	(neoCalcVCLK):
	Fix several mode setting issues:
	  - eliminates DoubleScan modes above height == 1024.
	  - eliminates interlaced modes as we don't know how to turn
	    on interlace.
	  - Fixes clock calculation to prevent lockups.
	  (Bugzilla # 2627)
	
2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/mi/miwideline.c:
	Preventing hight for drawing from becoming negative when
	face->dy < 0. The height value is used in miFillPolyHelper()
	to calculate the size of memory to be allocated. A negative
	value will lead to a crash (Bugzilla #2690, Keith Packard,
	Egbert Eich).
	
2005-04-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/attributes.c
	* xc/programs/glxgears/glxgears.c
	* xc/programs/xdbedizzy/xdbedizzy.c
	* xc/programs/xedit/Imakefile
	* xc/programs/xedit/Xedit-xprint.ad
	* xc/programs/xedit/util.c
	* xc/programs/xedit/xedit.h
	* xc/programs/xlogo/print.c
	* xc/programs/xlogo/xlogo.c
	* xc/programs/xlogo/xlogo.h
	* xc/programs/xman/Imakefile
	* xc/programs/xman/print.h
	* xc/programs/xmore/Imakefile
	* xc/programs/xmore/print.c
	* xc/programs/xmore/print.h
	* xc/programs/xmore/printdialog.c
	* xc/programs/xphelloworld/xpawhelloworld/xpawhelloworld.c
	* xc/programs/xphelloworld/xphelloworld/xphelloworld.c
	* xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c
	* xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.c
	* xc/programs/xphelloworld/xpxthelloworld/xpxthelloworld.c
	bugzilla #790 (https://bugs.freedesktop.org/show_bug.cgi?id=790)
	attachment #2379 (https://bugs.freedesktop.org/attachment.cgi?id=2379)
	Implement support client+Xserver support for passing output
	(stdout+stderr) of the spooler command started by the Xprint
	server back to the application using the "xp-spooler-command-results"
	XPJobAttr attribute (applications can fetch the attribute value after
	the XPEndJobNotify event was received; more details can be found
	in http://xprint.mozdev.org/docs/dtprint_fspec.ps).

2005-04-09 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xman/buttons.c
	bugzilla #2942 (https://bugs.freedesktop.org/show_bug.cgi?id=2942)
	attachment #2360 (https://bugs.freedesktop.org/attachment.cgi?id=2360)
	Fix possible crash due uninitalised structure when "xman" opens the
	print dialog.

2005-04-05  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	Release SDA/SDL I2C lines from an asserted-low state after a DDC probe,
	which caused Apple Studio Display monitors to shut off after a second
	or so (Ben Herrenschmidt).

2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageInitAccel):
	Add ROP_NEEDS_SOURCE to Mono8x8PatternFill as S3 chips tend
	to lock up without it (Helmut Fahrion).
	
2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/xf86cfg/accessx.c:
	(CreateAccessXHelpDialog), (AccessXInitialize):
	* programs/Xserver/hw/xfree86/xf86cfg/card-cfg.c:
	(CardModelCallback), (CardModel):
	* programs/Xserver/hw/xfree86/xf86cfg/config.c: (StartConfig):
	* programs/Xserver/hw/xfree86/xf86cfg/expert.c:
	(ExpertConfigureStart), (ExpertConfigureEnd), (CreateFiles),
	(CreateFilesField), (UpdateFiles), (CreateFontPathField),
	(CreateModulePathField), (CreateModuleField), (CreateModesField),
	(CreateModeLineField), (CreateVideoAdaptorField),
	(VideoAdaptorUpdate), (CreateVideoPortField), (CreateMonitorField),
	(MonitorUpdate), (CreateMonitorModesField), (CreateDeviceField),
	(DeviceUpdate), (CreateScreenField), (ScreenUpdate),
	(CreateScreenAdaptorField), (CreateScreenDisplayField),
	(ScreenDisplayUpdate), (CreateDisplayModeField),
	(CreateInputField), (InputUpdate), (CreateLayoutField),
	(CreateAdjacencyField), (AdjacencyMenuCallback),
	(AdjacencyToggleCallback), (CreateInputrefField),
	(CreateVendorField), (CreateVendorSubField), (VendorSubUpdate),
	(CreateDRIField), (DRIUpdate), (CreateBuffersField),
	(BuffersUpdate), (DeleteNode), (ToggleNodeRecursive), (ToggleNode),
	(ExpertInitialize):
	* programs/Xserver/hw/xfree86/xf86cfg/help.c: (Help), (StartHelp),
	(Html_ModeStart), (Html_ModeEnd):
	* programs/Xserver/hw/xfree86/xf86cfg/interface.c: (main),
	(AskConfig), (QuitCallback), (AddDevice), (SelectLayoutCallback),
	(DefaultLayoutCallback):
	* programs/Xserver/hw/xfree86/xf86cfg/keyboard-cfg.c:
	(UpdateRulesPopups), (KeyboardModelAndLayout):
	* programs/Xserver/hw/xfree86/xf86cfg/monitor-cfg.c:
	(MonitorLayout):
	* programs/Xserver/hw/xfree86/xf86cfg/mouse-cfg.c:
	(MouseDeviceAndProtocol):
	* programs/Xserver/hw/xfree86/xf86cfg/options.c:
	(ModuleOptionsPopup), (OptionsPopup):
	* programs/Xserver/hw/xfree86/xf86cfg/screen-cfg.c: (ScreenDialog):
	* programs/Xserver/hw/xfree86/xf86cfg/vidmode.c:
	(VideoModeInitialize), (VideoModeConfigureStart), (GetModes),
	(ForceAddMode), (AddMode), (TestCallback):
	* programs/editres/widgets.c:
	* programs/xedit/ispell.c: (InitIspell):
	* programs/xedit/options.c: (CreateColumnsShell):
	Fixed sentinels in Xt, editres and xedit to reduce number of
	warnings with gcc4 (Andreas Schwab).
	
2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/xf86cfg/screen.c: (AdjustScreenUI):
	Fix typo leading to bogus code in xorgcfg (Andreas Schwab).
	
2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>
	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/os-support/bus/zx1PCI.c:
	(xf86PreScanZX1), (xf86PostScanZX1):
	Support for HP's IPF ZX1 systems (Alex Williamson).
	
2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/compiler.h:
	* programs/Xserver/hw/xfree86/loader/elfloader.c:
	(ELFCollectSections):
	When not using dlopen ia64 needs an extra cache 
	flush to ensure the icache is coherent when modules
	are loaded (Alex Williamson).
	
2005-04-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/Xevie/Xevie.man:
	Clean up text and formatting of Xevie man page

2005-04-03  Adam Jackson  <ajax@freedesktop.org>

	* lib/SM/sm_process.c:
	Bug #1447: Fix a use-after-free case in libSM. (Mark McLoughlin)

2005-04-02  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.tmpl:
	Bug #2884: Canonicalize BUILDERADDR to point to
	@lists.freedesktop.org.

2005-04-01  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/hw/darwin/quartz/XServer.m:
	Fix XDarwin's handling of Wacom tablet mouse buttons (Based on patch
	suggested by Daphne Pfister).

2005-04-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/ps/Imakefile
	* xc/programs/Xserver/Xprint/ps/Ps.h
	* xc/programs/Xserver/Xprint/ps/PsArea.c
	* xc/programs/Xserver/Xprint/ps/PsColor.c
	* xc/programs/Xserver/Xprint/ps/PsImageUtil.c
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	* xc/programs/Xserver/Xprint/ps/psout.h
	bugzilla #2879 (https://bugs.freedesktop.org/show_bug.cgi?id=2879)
	attachment #2287 (https://bugs.freedesktop.org/attachment.cgi?id=2287)
	Follow-up to bugzilla #1299: Add new visuals in the Postscript DDX
	(including TrueColor 16bit, PseudoColor 15bit/12bpg(12 bits per R-,
	G-, B-channel as in PostScript Level 2 (and above) colors can have 12
	bits per component (36 bit for RGB)), PseudoColor+GrayScale+StaticGray
	12bit/12bpg) and switch the default visual from PseudoColor 8bit/8bpg
	to PseudoColor 12bit/12bpg.

2005-04-01  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/loader/xf86sym.c
	* programs/Xserver/hw/xfree86/os-support/shared/libc_wrapper.c
	Fix setjump0 declaration for DllLoader.

2005-04-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/int10/helper_exec.c: (x_inl),
	(x_outl), (pciCfg1out):
	bugzilla #2880 (https://bugs.freedesktop.org/show_bug.cgi?id=2880)
	attachment #2285 (https://bugs.freedesktop.org/attachment.cgi?id=2285)
	Use system method to access PCI config space.

2005-04-01  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/dixsym.c:
	Bug #2835: Add symbol exports to support the ReadDisplay extension.

2005-04-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Check the VESA BIOS scanline requirements and adjust the 
	displayWidth accordingly. Fixes an assumption that the screen width
	was always used as the displayWidth.

2005-03-31  Torrey T. Lyons  <torrey@freedesktop.org>

	* config/cf/darwin.cf:
	Reenable default build of xterm since Darwin does not provide 
	an alternate source for it.

2005-03-31  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	- Add new Radeon pci ids (ATI devrel), bug 2827
	
2005-03-31 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c
	
	Patch from Antti Ajanki - provide VBI capture support for 
	PAL and SECAM (You need GATOS km module to actually get at the
	data, the change merely configures the hardware to handle it
	correctly).

2005-03-29  Michel Daenzer  <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_cursor.c:
	bugzilla #2844 (https://bugs.freedesktop.org/show_bug.cgi?id=2844)
	attachment #2230 (http://bugs.freedesktop.org/attachment.cgi?id=2230)
	Wait for idle before uploading HW cursor data to the framebuffer to
	avoid lockups when moving the mouse on some machines.

2005-03-28  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPllErrataAfterIndex), (RADEONPllErrataAfterData),
	(RADEONOUTPLL), (RADEONPLLWriteUpdate), (RADEONPLL2WriteUpdate),
	(RADEONRestorePLL2Registers):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_macros.h:
	bugzilla #2840 (https://bugs.freedesktop.org/show_bug.cgi?id=2840)
	attachment #2227 (https://bugs.freedesktop.org/attachment.cgi?id=2227)
	Fix build problems introduced by previous Radeon PLL errata
	workarounds.

2005-03-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xvinfo/xvinfo.man:
	Change hardcoded "1" to __appmansuffix__ and remove initial
	blank line that confused Solaris nroff.

Sat Mar 26 19:00:30 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbpict.h: Remove accidentally committed
	prototype.

Sat Mar 26 18:49:21 2005  Soeren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbmmx.h
	* programs/Xserver/fb/fbmmx.c (fbCompositeSrc_8888x8888mmx): New
	function. 

	* programs/Xserver/fb/fbpict.c (fbComposite): Hook it up here

2005-03-25  Dave Airlie <airlied@linux.ie>

	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/aticonfig.c:
	(ATIProcessOptions):
	* programs/Xserver/hw/xfree86/drivers/ati/aticonsole.c:
	(ATIProbeAndSetActiveDisplays), (ATIEnterGraphics),
	(ATILeaveGraphics):
	* programs/Xserver/hw/xfree86/drivers/ati/atilock.c: (ATIUnlock),
	(ATILock):
	* programs/Xserver/hw/xfree86/drivers/ati/atimach64.c:
	(ATIMach64Calculate):
	* programs/Xserver/hw/xfree86/drivers/ati/atimode.c:
	(ATIModeCalculate), (ATISetVBEMode), (ATIModeSet):
	* programs/Xserver/hw/xfree86/drivers/ati/atioption.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atioption.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atipreinit.c:
	(ATIPreInit):
	* programs/Xserver/hw/xfree86/drivers/ati/atiscreen.c:
	(ATIScreenInit):
	* programs/Xserver/hw/xfree86/drivers/ati/atistruct.h:
	bugzilla #2057 (https://bugs.freedesktop.org/show_bug.cgi?id=2057)
	attachment #1516 (https://bugs.freedesktop.org/attachment.cgi?id=1516)
	Add TVOUT Support for Mach64 (Leif Delgass, fixed up for Xorg by me).

2005-03-24 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/Imakefile
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	bugzilla #2821 (https://bugs.freedesktop.org/show_bug.cgi?id=2821)
	attachment #2215 (https://bugs.freedesktop.org/attachment.cgi?id=2215)
	Remove the cfb dependicy from the PostScript DDX as this is not needed
	in a vector DDX (mfb is still needed to fill the |BitmapToRegion()|
	callback with |mfbPixmapToRegion()|).

2005-03-24  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineReset):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_bios.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_cursor.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONINPLL), (RADEONOUTPLL), (RADEONProbePLLParameters),
	(RADEONGetPanelInfoFromReg), (RADEONPreInitConfig),
	(RADEONRestoreFPRegisters), (RADEONRestorePLLRegisters),
	(RADEONRestorePLL2Registers), (RADEONSave), (RADEONRestore),
	(RADEONDisplayPowerManagementSet), (RADEONSetDynamicClock):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_macros.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mm_i2c.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONAllocAdaptor), (RADEONDisplayVideo):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_vip.c:
	- radeon PLL access errata workarounds (Benjamin Herrenschmidt, acked by Hui Yu)
	
2005-05-23  Matthieu Herrb <matthieu.herrb@laas.fr>

	* config/cf/OpenBSD.cf:
	OpenBSD doesn't have libpng in base system. 
	* config/cf/OpenBSDLib.tmpl
	Bump libfreetype2 minor after update to 2.1.9
	* config/cf/X11.tmpl
	Update freetype version in comments
	* programs/Xserver/Xext/saver.c:
	bugzilla #2194: fix an alignement problem on 64 bit architectures.

2005-03-23  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>
	
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c:
	(mtrr_cull_wc_region), (mtrr_remove_offending),
	(mtrr_add_wc_region):
	Bugzilla #2750 (https://bugs.freedesktop.org/show_bug.cgi?id=2750)
	Linux-only fixes:
	Fix case where a smaller write-combining region blocks write-combining
	setting of the whole frame buffer.
	Fix bug in wc setting code when regions are first splitted
	and setting of write-combining then fails.
	
2005-03-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/vfb/InitOutput.c
	* xc/programs/Xserver/hw/vfb/Xvfb.man
	bugzilla #2791 (https://bugs.freedesktop.org/show_bug.cgi?id=2791)
	attachment #2197 (https://bugs.freedesktop.org/attachment.cgi?id=2197)
	Add support for 12bit PseudoColor and 30bit TrueColor to Xvfb.

2005-03-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Imakefile
	* xc/programs/Xserver/Xprint/DiPrint.h
	* xc/programs/Xserver/Xprint/Imakefile
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/ddxInit.c
	* xc/programs/Xserver/dix/Imakefile
	* xc/programs/Xserver/dix/main.c
	* xc/programs/Xserver/dix/xpstubs.c
	* xc/programs/Xserver/os/Imakefile
	* xc/programs/Xserver/os/utils.c
	bugzilla #2792 (https://bugs.freedesktop.org/show_bug.cgi?id=2792)
	attachment #2193 (https://bugs.freedesktop.org/attachment.cgi?id=2193)
	Fix build bustage when |PrintOnlyServer| is set to |NO|.
	Patch by Roland Mainz <roland.mainz@nrubsig.org> and Julien
	Lafon <julien.lafon@gmail.com>.

2005-03-22 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/vfb/InitOutput.c
	bugzilla #2789 (https://bugs.freedesktop.org/show_bug.cgi?id=2789)
	attachment #2187 (https://bugs.freedesktop.org/attachment.cgi?id=2187)
	Fix Xvfb to honor the "-dpi" option (instead of using a hardcoded
	value of 100DPI).

2005-03-22  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/xorg.conf.man:
	Bug #1821: Typo fix in xorg.conf man page (Jens Schweikhardt)

Tue Mar 22 12:47:16 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/miext/damage/damage.c (damageCopyPlane): Only
	validate the source if it is a viewable window. Stops the cursor
	flickering when it is above an unviewable window.

2005-03-21 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_memory.c
	Fix some bad alignment problems when allocating memory from
	the end of AGP space.
	Bugzilla #2764 (https://bugs.freedesktop.org/show_bug.cgi?id=2764)

2005-03-20  Alan Coopersmith  <alan.coopersmith@sun.com>
	* xc/lib/X11/ErrDes.c 
	* xc/lib/X11/XKBSetGeom.c 
	Bugzilla #132 (https://bugs.freedesktop.org/show_bug.cgi?id=132)
	Patch #2168 (https://bugs.freedesktop.org/attachment.cgi?id=2168)
	Replace a couple of BUFSIZE uses with better values to check against.
	Fixes by Stuart Anderson <anderson@netsweng.com>
	
2005-03-20 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xset/xset.c
	bugzilla #2258 (https://bugs.freedesktop.org/show_bug.cgi?id=2258)
	attachment #2166 (https://bugs.freedesktop.org/attachment.cgi?id=2166)
	"xset q" (query) should not print an error message ('Xlib:  extension
	"XFree86-Misc" missing on display ":35.0".') when the "XFree86-Misc"
	is not available on the Xserver.

2005-03-19 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/Compose/iso8859-2
	* xc/nls/Compose/iso8859-3
	* xc/nls/Compose/iso8859-9
	* xc/nls/Compose/iso8859-9e
	bugzilla #2592 (https://bugs.freedesktop.org/show_bug.cgi?id=2592)
	attachment #2156 (https://bugs.freedesktop.org/attachment.cgi?id=2156)
	Fix a couple of typos in ISO8859-* Compose files
	("asciicircum" instead "of asciicirum").
	Patch by Matthias Hopf <mhopf@suse.de>.

2005-03-19 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/mi/miinitext.c
	bugzilla #2771 (https://bugs.freedesktop.org/show_bug.cgi?id=2771)
	attachment #2148 (https://bugs.freedesktop.org/attachment.cgi?id=2148)
	Remove RENDER extension from exclusion list for the standalone print
	server (Xprt) to get this extension enabled if the print DDX support
	it.

2005-03-18  Michel Daenzer <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	Add support for production version of ATI RN50/ES1000. (ATI
	Technologies Inc.)

2005-03-17  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavageEnterVT):
	Invalidate 3D hardware state in SavageEnterVT. This fixes 3D
	applications running during a suspend-resume cycle.

2005-03-16 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c
	Back out RadeonWaitForIdleMMIO that I put in earlier. 
	
	From discussion on dri-devel we do not need to be as 
	careful with INREG() access on Radeons as we are on mach64
	chips.
	
	The fix is backed out due to:
	    * it breaks DRI on SMP systems (due to absense of the 
	      lock in mouse handling functions)
	    * I am no longer able to reproduce the lockup I saw before	    
	
2005-03-16  Torrey T. Lyons  <torrey@freedesktop.org>

	* config/cf/darwin.cf:
	* programs/Xserver/cfb/cfballpriv.c:
	Fix build on stock Mac OS X: Out of the box, Mac OS X does not include
	Freetype2, Expat, or PNG. Also global variables should be initalized
	in the Xserver.

2005-03-17  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIMapInit):
	Fixed PCI ShadowStatus initialization for the case that
	ShadowStatus is explicitly enabled in the configuration file.

Wed Mar 16 16:17:43 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/miext/damage/damage.c (damageCopyArea): Only
	validate the source if it is a viewable window. Stops the cursor
	flickering when it is above an unviewable window.

2005-03-16  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86RandR.c:
	(xf86RandRGetInfo), (xf86RandRSetConfig):
	Don't fail calling function when DriverFunc() for RandR
	fails as DriverFunc() also returns FALSE when the
	specific sub function isn't supported.
	In the case of xf86RandRGetInfo() we simply rely on what
	has been set before and return TRUE.
	In the case of xf86RandRSetConfig() we only bail with
	FALSE if we have to do a rotation and the call fails.
	We presently cannot do rotation on the fly without the
	help of a driver function (Bugzilla #2745).
	

2005-03-16  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/loader/loader.c: (ARCHIVELoadModule):
	Make message that gets printed when loader encounters a .o
	with no symbols less conspicuous (Bugzilla #2744).
	
2005-03-15  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_streams.c:
	(SavageInitStreamsOld), (SavageInitStreams2000),
	(PatchEnableSPofPanel):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_streams.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_video.c:
	(GetBlendForFourCC), (GetBlendForFourCC2000),
	(SavageSetColorKey2000), (SavageSetColor2000), (SavageSetBlend),
	(SavageDisplayVideoOld), (SavageDisplayVideo2000),
	(SavagePutImage):
	- small fixups for old streams
	- more work on Xv support for savage2000 (still not working 100%)
	
2005-03-15 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	LFP's may exist on Pipe A in older i830's. Check that case so
	that Panel ID can be obtained and Xvideo is correctly setup for
	panel fitting.

2005-03-15 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	Enforce DDC monitor ranges usage if we have them and reject bad
	modes. Use NoDDC option to override DDC timings. We currently
	only use DS_RANGES, but could use other DDC information, as does
	the common layer, to deduce the h/v ranges.

2005-03-13  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIScreenInit),
	(SAVAGEDRIFinishScreenInit):
	Fixed fallback to PCI mode when AGP initialization fails.

2005-03-13  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGECreateContext), (SAVAGEDestroyContext), (SAVAGEDRIAgpInit),
	(SAVAGEDRIScreenInit), (SAVAGEDRICloseScreen):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	- Removed lots of dead code.
	- Moved driver-private definitions from savage_dri.h to
	  savage_driver.h. savage_dri.h should only contain the public
	  interface between DDX and DRI drivers.
	- Don't forget to remove the command DMA mapping in
	  SAVAGEDRICloseScreen.

2005-03-11 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/twm/Imakefile
	* xc/programs/twm/twm.c
	* xc/programs/xdpyinfo/xdpyinfo.c
	bugzilla #2705 (https://bugs.freedesktop.org/show_bug.cgi?id=2705)
	attachment #2087 (https://bugs.freedesktop.org/attachment.cgi?id=2087)
	Make twm ignore print screens to avoid that users accidentally warp
	on a non-video screen (which are not visible on any monitor) when
	the Xserver has both video and print screens.
	(This includes also a small cleanup of xdpyinfo where parts of the
	print screen test code comes from)
	Patch by Julien Lafon <julien.lafon@gmail.com> (MIT/X.org license).

2005-03-11 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/twm/add_window.c
	* xc/programs/twm/cursor.c
	* xc/programs/twm/events.c
	* xc/programs/twm/gc.c
	* xc/programs/twm/gram.y
	* xc/programs/twm/iconmgr.c
	* xc/programs/twm/icons.c
	* xc/programs/twm/list.c
	* xc/programs/twm/menus.c
	* xc/programs/twm/parse.c
	* xc/programs/twm/resize.c
	* xc/programs/twm/twm.c
	* xc/programs/twm/util.c
	bugzilla #2566 (https://bugs.freedesktop.org/show_bug.cgi?id=2566)
	attachment #2083 (https://bugs.freedesktop.org/attachment.cgi?id=2083)
	ANSI-fy twm window manager code.
	The conversion preserves the comments which annotate variables and
	function arguments (these have been moved into doxygen(esque?) "stubs"
	above each function.
	Patch by Mike Owens <etc@filespanker.com>.

2005-03-11  Thomas Winischhofer <thomas@winischhofer.net>
	
	* programs/Xserver/hw/xfree86/drivers/sis/*
	SiS driver:
	- MergedFB/Xinerama: Added support for non-rectangular layouts 
	  (no panning into dead areas, mouse restriced to accessible
	  areas)
	- MergedFB/Xinerama: Added support for RandR.
	- MergedFB: Improved "physical alignment compensation" Offset
	  by disallowing panning and mouse movements into dead areas.
	- Added "Reflect" feature: Reflect screen in x, y or x+y direction
	- Added aspect ratio detection for analog (VGA) devices.
	- Fixed FSTN support on SiS55x (for 320x240 xSTN panels)
	- Workaround for SiS76x memory access latency issues if no local 
	  framebuffer memory is present.
	- Fixed bug in SaveScreen() causing a sig 11 sometimes.
	- Minor others.

2005-03-08  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/lbxproxy/os/connection.c:
	Bugzilla Bug 2678 (https://bugs.freedesktop.org/show_bug.cgi?id=2678)
	Patch #2051 (https://bugs.freedesktop.org/attachment.cgi?id=2051)
  	lbxproxy core dumps on exit if clients have had authentication failures
	(Sun bug #5074303 - Fix by Derek Wang <derek.wang@sun.com>)
	
2005-03-09  Roland Scheidegger  <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONScreenInit): Fix accidentally removed depth pitch
	adjustment if displayWidth is not a multiple of 32 pixels
	(bug #788)

2005-03-08  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/shared/libc_wrapper.c:
	(xf86open), (xf86strerror), (xf86GetErrno):
	* programs/Xserver/hw/xfree86/os-support/xf86_libc.h:
	Adding more errnos to the libc wrapper (Bugzilla #2672).
	
2005-03-07  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/lib/X11/imEvToWire.c:
	Bugzilla Bug 2006 (https://bugs.freedesktop.org/show_bug.cgi?id=2006)
	Patch #2031 (https://bugs.freedesktop.org/attachment.cgi?id=2031)
	XEmbed client doesn't receive key events from XIM: Use | to set a bit,
	not &.   Patch by Hidetoshi Tajima <hidetoshi.tajima@sun.com>.

2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/dix/atom.c
	* xc/programs/Xserver/dix/colormap.c
	* xc/programs/Xserver/dix/cursor.c
	* xc/programs/Xserver/dix/devices.c
	* xc/programs/Xserver/dix/dispatch.c
	* xc/programs/Xserver/dix/dixfonts.c
	* xc/programs/Xserver/dix/dixutils.c
	* xc/programs/Xserver/dix/events.c
	* xc/programs/Xserver/dix/extension.c
	* xc/programs/Xserver/dix/gc.c
	* xc/programs/Xserver/dix/glyphcurs.c
	* xc/programs/Xserver/dix/grabs.c
	* xc/programs/Xserver/dix/main.c
	* xc/programs/Xserver/dix/pixmap.c
	* xc/programs/Xserver/dix/privates.c
	* xc/programs/Xserver/dix/property.c
	* xc/programs/Xserver/dix/resource.c
	* xc/programs/Xserver/dix/swaprep.c
	* xc/programs/Xserver/dix/swapreq.c
	* xc/programs/Xserver/dix/window.c
	bugzilla #2560 (https://bugs.freedesktop.org/show_bug.cgi?id=2560)
	attachment #2037 (https://bugs.freedesktop.org/attachment.cgi?id=2037)
	ANSI-fy Xserver/dix code.
	The conversion preserves the comments which annotate variables.
	These have been moved into doxygen(esque?) "stubs" above each
	function.
	Patch by Mike Owens <etc@filespanker.com>.

2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/glxgears/glxgears.c
	bugzilla #2220 (https://bugs.freedesktop.org/show_bug.cgi?id=2220)
	attachment #2035 (https://bugs.freedesktop.org/attachment.cgi?id=2035)
	Backout of attachment #1630 (https://bugs.freedesktop.org/attachment.cgi?id=1630)
	as the described issue should be fixed in the GLX implementation of
	the server side (per discussion in xorg@freedesktop.org).

2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/Imake.rules
	* xc/programs/Xserver/hw/xfree86/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/apm/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/ark/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/ati/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/chips/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/cirrus/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/cyrix/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/dummy/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/fbdev/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/glide/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/glint/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i128/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i2c/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i740/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i810/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/imstt/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/mga/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/neomagic/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/newport/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/nsc/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/nv/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/rendition/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/s3/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/s3virge/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/savage/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/siliconmotion/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sis/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sisusb/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sunbw2/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suncg14/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suncg3/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suncg6/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sunleo/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suntcx/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/tdfx/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/tga/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/trident/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/tseng/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/v4l/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/vesa/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/vga/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/via/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/vmware/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/voodoo/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/wsfb/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/acecad/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/aiptek/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/calcomp/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/citron/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/digitaledge/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/dmc/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/dynapro/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/elo2300/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/elographics/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/evdev/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/fpit/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/hyperpen/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/jamstudio/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/joystick/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/keyboard/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/magellan/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/magictouch/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/microtouch/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/mouse/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/mutouch/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/palmax/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/penmount/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/sample/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/spaceorb/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/summa/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/tek4957/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/ur98/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/void/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/wacom/Imakefile
	Bugzilla #2663 (https://bugs.freedesktop.org/show_bug.cgi?id=2663)
	attachment #2034 (https://bugs.freedesktop.org/attachment.cgi?id=2034):
	Cleanup Xorg server module installation.
        
2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	* xc/extras/freetype2/ChangeLog
	* xc/extras/freetype2/Jamfile
	* xc/extras/freetype2/README
	* xc/extras/freetype2/builds/freetype.mk
	* xc/extras/freetype2/builds/unix/configure
	* xc/extras/freetype2/builds/unix/configure.ac
	* xc/extras/freetype2/builds/win32/visualc/freetype.dsp
	* xc/extras/freetype2/builds/win32/visualc/freetype.vcproj
	* xc/extras/freetype2/builds/win32/visualc/index.html
	* xc/extras/freetype2/devel/ftoption.h
	* xc/extras/freetype2/docs/CHANGES
	* xc/extras/freetype2/docs/VERSION.DLL
	* xc/extras/freetype2/docs/formats.txt
	* xc/extras/freetype2/include/freetype/cache/ftcmru.h
	* xc/extras/freetype2/include/freetype/config/ftmodule.h
	* xc/extras/freetype2/include/freetype/config/ftoption.h
	* xc/extras/freetype2/include/freetype/freetype.h
	* xc/extras/freetype2/include/freetype/ftcache.h
	* xc/extras/freetype2/include/freetype/ftmm.h
	* xc/extras/freetype2/include/freetype/internal/ftmemory.h
	* xc/extras/freetype2/include/freetype/internal/ftstream.h
	* xc/extras/freetype2/include/freetype/internal/fttrace.h
	* xc/extras/freetype2/include/freetype/internal/psaux.h
	* xc/extras/freetype2/include/freetype/internal/services/svmm.h
	* xc/extras/freetype2/include/freetype/internal/tttypes.h
	* xc/extras/freetype2/include/freetype/t1tables.h
	* xc/extras/freetype2/include/freetype/tttables.h
	* xc/extras/freetype2/include/freetype/tttags.h
	* xc/extras/freetype2/src/autofit/afangles.c
	* xc/extras/freetype2/src/autofit/afdummy.c
	* xc/extras/freetype2/src/autofit/afglobal.c
	* xc/extras/freetype2/src/autofit/afhints.c
	* xc/extras/freetype2/src/autofit/afhints.h
	* xc/extras/freetype2/src/autofit/aflatin.c
	* xc/extras/freetype2/src/autofit/aflatin.h
	* xc/extras/freetype2/src/autofit/afloader.c
	* xc/extras/freetype2/src/autofit/afmodule.c
	* xc/extras/freetype2/src/autofit/aftypes.h
	* xc/extras/freetype2/src/autohint/ahhint.c
	* xc/extras/freetype2/src/autohint/ahmodule.c
	* xc/extras/freetype2/src/base/ftbbox.c
	* xc/extras/freetype2/src/base/ftdbgmem.c
	* xc/extras/freetype2/src/base/ftexcept.c
	* xc/extras/freetype2/src/base/ftgloadr.c
	* xc/extras/freetype2/src/base/ftglyph.c
	* xc/extras/freetype2/src/base/fthash.c
	* xc/extras/freetype2/src/base/ftlist.c
	* xc/extras/freetype2/src/base/ftmm.c
	* xc/extras/freetype2/src/base/ftobject.c
	* xc/extras/freetype2/src/base/ftobjs.c
	* xc/extras/freetype2/src/base/ftstream.c
	* xc/extras/freetype2/src/base/ftsysio.c
	* xc/extras/freetype2/src/base/ftsysmem.c
	* xc/extras/freetype2/src/base/ftutil.c
	* xc/extras/freetype2/src/bdf/bdf.h
	* xc/extras/freetype2/src/bdf/bdfdrivr.c
	* xc/extras/freetype2/src/bdf/bdfdrivr.h
	* xc/extras/freetype2/src/bdf/bdflib.c
	* xc/extras/freetype2/src/cache/ftcbasic.c
	* xc/extras/freetype2/src/cache/ftccache.c
	* xc/extras/freetype2/src/cache/ftccback.h
	* xc/extras/freetype2/src/cache/ftccmap.c
	* xc/extras/freetype2/src/cache/ftcglyph.c
	* xc/extras/freetype2/src/cache/ftcimage.c
	* xc/extras/freetype2/src/cache/ftcmanag.c
	* xc/extras/freetype2/src/cache/ftcsbits.c
	* xc/extras/freetype2/src/cff/cffdrivr.c
	* xc/extras/freetype2/src/cff/cffgload.c
	* xc/extras/freetype2/src/cff/cffgload.h
	* xc/extras/freetype2/src/cff/cffload.c
	* xc/extras/freetype2/src/cff/cffobjs.c
	* xc/extras/freetype2/src/cff/cffobjs.h
	* xc/extras/freetype2/src/cff/cffparse.c
	* xc/extras/freetype2/src/cid/cidgload.c
	* xc/extras/freetype2/src/cid/cidgload.h
	* xc/extras/freetype2/src/cid/cidobjs.c
	* xc/extras/freetype2/src/cid/cidobjs.h
	* xc/extras/freetype2/src/cid/cidriver.c
	* xc/extras/freetype2/src/gzip/ftgzip.c
	* xc/extras/freetype2/src/lzw/zopen.c
	* xc/extras/freetype2/src/pcf/pcfdrivr.c
	* xc/extras/freetype2/src/pcf/pcfread.c
	* xc/extras/freetype2/src/pcf/pcfutil.c
	* xc/extras/freetype2/src/pcf/pcfutil.h
	* xc/extras/freetype2/src/pfr/pfrdrivr.c
	* xc/extras/freetype2/src/pfr/pfrobjs.c
	* xc/extras/freetype2/src/pfr/pfrobjs.h
	* xc/extras/freetype2/src/psaux/psobjs.c
	* xc/extras/freetype2/src/psaux/t1decode.c
	* xc/extras/freetype2/src/raster/ftraster.c
	* xc/extras/freetype2/src/sfnt/sfobjs.c
	* xc/extras/freetype2/src/sfnt/ttload.c
	* xc/extras/freetype2/src/tools/cordic.py
	* xc/extras/freetype2/src/truetype/Jamfile
	* xc/extras/freetype2/src/truetype/rules.mk
	* xc/extras/freetype2/src/truetype/truetype.c
	* xc/extras/freetype2/src/truetype/ttdriver.c
	* xc/extras/freetype2/src/truetype/ttgload.c
	* xc/extras/freetype2/src/truetype/ttgxvar.c
	* xc/extras/freetype2/src/truetype/ttgxvar.h
	* xc/extras/freetype2/src/truetype/ttobjs.c
	* xc/extras/freetype2/src/truetype/ttobjs.h
	* xc/extras/freetype2/src/truetype/ttpload.c
	* xc/extras/freetype2/src/type1/t1driver.c
	* xc/extras/freetype2/src/type1/t1gload.c
	* xc/extras/freetype2/src/type1/t1load.c
	* xc/extras/freetype2/src/type1/t1load.h
	* xc/extras/freetype2/src/winfonts/winfnt.c
	Bugzilla #878 (https://bugs.freedesktop.org/show_bug.cgi?id=878)
	attachment #2032 (https://bugs.freedesktop.org/attachment.cgi?id=2032):
	Update Freetype2 version in xc/extras/freetype2/ from V2.1.8 to
        V2.1.9.

2005-03-06 Branden Robinson <branden@debian.org>

	* xc/config/cf/linux.cf
	Shut up (tons of) Imake warnings on Debian systems by testing for
	variable being defined before testing its value.  (Presumably the
	fallback definition of NothingOutsideProjectRoot in Imake.tmpl was
	intended to prevent this, but it apparently is not in effect yet
	when linux.cf is parsed.)

2005-03-06  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage.man:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIMapInit), (SAVAGEDRIBuffersInit),
	(SAVAGEDRIKernelInit), (SAVAGEDRIScreenInit),
	(SAVAGEDRIFinishScreenInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	- Support for the new DRM version 2.4 with command DMA.
	- Added an option "DmaMode" to choose between vertex and command DMA.
	- Allow ShadowStatus to be explicitly disabled even with DRI enabled.
	- Updated the man page.

2005-03-05 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Imakefile
	* xc/programs/Xserver/hw/xnest/Imakefile
	* xc/programs/Xserver/hw/xnest/Init.c
	Bugzilla #2653 (https://bugs.freedesktop.org/show_bug.cgi?id=2653)
	attachment #2020 (https://bugs.freedesktop.org/attachment.cgi?id=2020):
	Cleanup Xnest usage of the DPMS dummy stub functions from dpmsstubs.c
	instead of using it's own copy of these functions.
        
2005-03-05 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86Events.c
	Bugzilla #2543 (https://bugs.freedesktop.org/show_bug.cgi?id=2543)
	attachment #2019 (https://bugs.freedesktop.org/attachment.cgi?id=2019):
	Fix |xf86SignalHandler()| which resets the signal handler
	before setting the flag indicating a signal has been caught,
	theoretically allowing the possibility of infinite recursion.
	Patch by Andrew Church <xzilla@achurch.org>.

2005-03-04 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	Let through all chips R300 and above - presumably the filtering
	should take place at the DRM driver level.
	Correct cut'n'paste position misprint.
	Big thanks for Michel Danzer for pointing out both improvements.
	
2005-03-04 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	Turns out Radeon R420 chips work fine with R300 microcode.
	Thanks go to Rune Petersen for careful investigation.

2005-03-03 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Limit the maximum refresh rate to 85Hz and remove the bogus 
	100Hz and 120Hz settings as they don't match close enough and
	are really unsupported.

2005-03-02  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/include/Xos_r.h:
	Patch #2007 <https://bugs.freedesktop.org/attachment.cgi?id=2007>
	1) Fix Solaris #ifdefs to choose between UI/SVR4 (early POSIX draft) 
	and POSIX standard thread API's correctly.
	2) Fix calls to POSIX standard versions to check errors correctly.
	(POSIX defines a return value of 0 on success, errno value on error,
	 but the macros were checking for -1 on error.)

2005-03-02 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xnest/Screen.c
	* xc/programs/Xserver/hw/xnest/Window.c
	* xc/programs/Xserver/hw/xnest/XNWindow.h
	Bugzilla #2546 (https://bugs.freedesktop.org/show_bug.cgi?id=2546)
	attachment #2005 (https://bugs.freedesktop.org/attachment.cgi?id=2005):
	Fix Xnest to update the shape regions in the backend server whenever
	a client changes them in Xnest (the fix is to add a new wrapper which
	calls |xnestShapeWindow()| before calling |miSetShape()|).
	Patch by Mark McLoughlin <mark@skynet.ie>

2005-03-02 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/DragonFly.cf
	* xc/config/cf/Imake.cf
	* xc/config/cf/Imakefile
	* xc/config/imake/imake.c
	* xc/config/imake/imakemdep.h
	* xc/extras/drm/shared/drm.h
	* xc/include/Xos_r.h
	* xc/lib/xtrans/Xtranssock.c
	* xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
	* xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
	* xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmCompat.c
	Bugzilla #1712 (https://bugs.freedesktop.org/show_bug.cgi?id=1712)
	attachment #2004 (https://bugs.freedesktop.org/attachment.cgi?id=2004):
	Add support for DragonFly/BSD platform.
	Patch by Jeroen Ruigrok <asmodai@tendra.org> and Mike Verona
	<firedragonfly@gmail.com>.

2005-03-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Fix an off by one error when scaling which caused occasional
	overlay color lines at the far right and bottom of the window.

2005-03-01  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/GL/glx/Imakefile:
	Remove stdcall objects in clean rule

2005-02-26  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIMapInit), (SAVAGEDRICloseScreen):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	Fixed ShadowStatus handling with DRI:
	- always enable ShadowStatus when DRI is enabled
	- if DRI initialization fails, reset ShadowStatus to configured setting
	- if DRI initialization fails, fall back to ShadowStatus in framebuffer

2005-02-25  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/cyrix/cyrix_driver.c:
	* programs/Xserver/hw/xfree86/drivers/dummy/dummy_driver.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_driver.c:
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/tga/tga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_driver.c:
	Bug #2605: Make the cyrix, dummy, glint, neomagic, tga, and trident
	drivers build when BuildXF86DGA NO.

2005-02-24  Alexander Gottwald  <ago at freedesktop dot org>

	* config/imake/imake.c:
	enable detection of gcc compiler for cygwin and mingw

2005-02-24  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/hw/xnest/Screen.c:
	Bugzilla #2599 (https://bugs.freedesktop.org/show_bug.cgi?id=2599)
	attachment #1964 (https://bugs.freedesktop.org/attachment.cgi?id=1964):
	move miScreenInit in front of pScreen->function initializations to
	prevent it from resetting ClipNotify.   

2005-02-22  Roland Scheidegger  <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	Fix building radeon driver with BuildXF86DRI set to NO,
	the breakage was caused by the tiling support (bug #2481)

2005-02-21  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* lib/Xt/ActionHook.c
	* lib/Xt/Alloc.c: 
	* lib/Xt/ArgList.c: 
	* lib/Xt/Callback.c: 
	* lib/Xt/ClickTime.c: 
	* lib/Xt/Composite.c: 
	* lib/Xt/Constraint.c:
	* lib/Xt/Convert.c: 
	* lib/Xt/Converters.c:
	* lib/Xt/Core.c:
	* lib/Xt/Create.c:
	* lib/Xt/Destroy.c:
	* lib/Xt/Display.c:
	* lib/Xt/Error.c:
	* lib/Xt/Event.c:
	* lib/Xt/EventI.h:
	* lib/Xt/EventUtil.c:
	* lib/Xt/Functions.c:
	* lib/Xt/GCManager.c:
	* lib/Xt/Geometry.c:
	* lib/Xt/GetActKey.c:
	* lib/Xt/GetValues.c:
	* lib/Xt/HookObj.c:
	* lib/Xt/Hooks.c:
	* lib/Xt/Initialize.c:
	* lib/Xt/Intrinsic.c:
	* lib/Xt/Intrinsic.h:
	* lib/Xt/IntrinsicI.h:
	* lib/Xt/IntrinsicP.h:
	* lib/Xt/Keyboard.c:
	* lib/Xt/Manage.c:
	* lib/Xt/NextEvent.c:
	* lib/Xt/Object.c:
	* lib/Xt/PassivGrab.c:
	* lib/Xt/Pointer.c:
	* lib/Xt/Popup.c:
	* lib/Xt/PopupCB.c:
	* lib/Xt/RectObj.c:
	* lib/Xt/ResConfig.c:
	* lib/Xt/ResourceI.h:
	* lib/Xt/Resources.c:
	* lib/Xt/Selection.c:
	* lib/Xt/SelectionI.h:
	* lib/Xt/SetValues.c:
	* lib/Xt/SetWMCW.c:
	* lib/Xt/Shell.c:
	* lib/Xt/TMaction.c:
	* lib/Xt/TMgrab.c:
	* lib/Xt/TMkey.c:
	* lib/Xt/TMparse.c:
	* lib/Xt/TMprint.c:
	* lib/Xt/TMstate.c:
	* lib/Xt/Threads.c:
	* lib/Xt/TranslateI.h:
	* lib/Xt/VarGet.c:
	* lib/Xt/Varargs.c:

	Convert lib/Xt to ANSI C (Thomas Dickey).
	Fixes for a few valgrind warnings (Thomas Dickey).

2005-02-21  Matthieu Herrb <matthieu.herrb@laas.fr>

	* extras/Xpm/lib/create.c:
	* extras/Xpm/lib/scan.c:
	Avoid inifite loops. From Chris Gilbert in bug #1920.

2005-02-19 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c

	Fix an INREG without WaitForIdleMMIO. This one should be 
	unlikely to trigger, but we should still do this in the name
	of correctness.
	
2005-02-18 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c

        Add a call to RADEONWaitForIdleMMIO() within RADEONChooseCursorCRTC()
	as this function uses OUTREGP() which, internally, calls INREG().
	
	Thus (due to SilkenMouse) INREG() could be called while CP engine
	was busy. I have observed this lockup on RV350 + R300 3d driver and
	have no idea why no issues were reported for R200 cards. Perhaps, 
	few of them have enough memory to run merged fb and 3d simultaneously ?
	
	This fix is the right thing to do, however, we might also need to 
	put fifo management calls into other cursor handling functions
	(in particular those that write cursor image directly to video memory).

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/newport/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/newport/newport.h:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_accel.c:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_driver.c:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_regs.h:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_shadow.c:
	Bug #2356: Massive acceleration improvements to newport(4).
	(Dominik Behr)

2005-02-18  Michel Daenzer  <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	Bug #2576: Add support for ATI RN50/ES1000. (ATI Technologies Inc.)

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/input/void/void.c:
	Bug #2467: Fix a segfault in the void(4) driver. (David Wong)

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* extras/x86emu/src/x86emu/ops2.c:
	Bug #2455: Make x86emu handle JNL correctly. (David Wong)

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/atidac.c:
	Bug #2567: Fix reversed memset arguments. (David Krause)

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/mingw.cf:
	* config/cf/mingw.rules:
	Update MinGW config files:
	- Require PThreads
	- Build xkbcomp
	- Build libXext
	- Never build shared libraries

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/xkbcomp/Imakefile:
	Do not build cross variant of xkbcomp if UseInstalledOnCrossCompile 
	is defined

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/X11.tmpl:
	* programs/Imakefile:
	Bugzilla #2569 (https://bugs.freedesktop.org/show_bug.cgi?id=2569)
	attachment #1929 (https://bugs.freedesktop.org/attachment.cgi?id=1929):
	make build of xkbcomp configurable

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/Xext/XAppgroup.c:
	* lib/Xext/Xcup.c:
	Bugzilla #2570 (https://bugs.freedesktop.org/show_bug.cgi?id=2570)
	attachment #1930 (https://bugs.freedesktop.org/attachment.cgi?id=1930):
	fixes build of libXext on mingw

2005-02-13  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
	Bugzilla #2533 (https://bugs.freedesktop.org/show_bug.cgi?id=2533)
	Feb. 3, 2005 "nv" driver update from Mark Vojkovich
	(Mainly driver updates for nVidia cards with 
	  ((pNv->Chipset & 0xfff0) == 0x0090) )
	
2005-02-11  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/xf86config/Imakefile:
	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Bug #826: Make xorgconfig respect font installation outside
	$PROJECTROOT.  (Donnie Berkholz)

2005-02-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Fix unaligned YV12 videos that caused skew when playing.

2005-02-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Fix pixmap cache corruption when Xv was in use due to a memory
	allocator calculation problem.

2005-02-09  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	(linuxPpcBusAddrToHostAddr), (linuxPpcHostAddrToBusAddr):
	Added PCI2Host bus translations for linux PPC and fixed
	fixed bugs in macros that apply these functions (Bill Randle
	Bugzilla #325 and #327). 
	
2005-02-09 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/gnu.cf
	Bugzilla #2507 (https://bugs.freedesktop.org/show_bug.cgi?id=2507)
	attachment #1871 (https://bugs.freedesktop.org/attachment.cgi?id=1871):
	Fix build problems on GNU/Hurd.
	Patch by Pierre Chifflier <chifflier@cpe.fr>.

2005-02-09  Roland Scheidegger  <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	do not enable color tiling on r300 chips and newer, since it doesn't work (yet)
	(Bugzilla #2504)

2005-02-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Setup the Xv atoms correctly.

2005-02-07  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/linux/int10/vm86/linux_vm86.c: (vm86_rep):
	Save gs register before calling the vm86_old syscall thru
	int 0x80. This is required for linuxthreads as the TLS uses
	this register to keep track of local thread storage
	(Bugzilla #2431, J. Scott Berg).
	
2005-02-07  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86str.h:
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c:
	(CheckMode), (i830SetModeParameters):
	Check the pixel clock choosen for a specific refresh rate
	against the maximally allowed pixel clock when choosing
	mode lines for VBESetVBEMode() and VESA BIOS version >= 3.0
	(Bugzilla #2486).
	
2005-02-06  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/doc/sgml/OpenBSD.sgml:
	Doc updates for OpenBSD, reflecting X11R6.8.2.

2005-02-06  Luc Verhaegen  <libv@skynet.be>

	* programs/Xserver/hw/xfree86/drivers/via/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/via/via.h:
	* programs/Xserver/hw/xfree86/drivers/via/via.man:
	* programs/Xserver/hw/xfree86/drivers/via/via_accel.c:
	(VIAInitAccel):
	* programs/Xserver/hw/xfree86/drivers/via/via_bandwidth.c:
	(ViaSetPrimaryFIFO):
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.c:
	(ViaDumpVGAROM), (ViaVBEGetActiveDevice):
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_capture.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_common.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_compose.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_cursor.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dga.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c: (VIASetup),
	(VIAFreeRec), (VIAPreInit), (VIASave), (VIARestore), (VIAMapMMIO),
	(VIAMapFB), (VIAUnmapMem), (VIALoadPalette), (VIAScreenInit),
	(VIAInternalScreenInit), (VIAValidMode), (VIAWriteMode),
	(VIAAdjustFrame), (VIADPMS):
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_i2c.c:
	(ViaI2C1PutBits), (ViaI2C1GetBits), (ViaI2CBus1Init),
	(ViaI2C2PutBits), (ViaI2C2GetBits), (ViaI2CBus2Init),
	(ViaI2C3Start), (ViaI2C3Address), (ViaI2C3Stop), (ViaI2C3PutBit),
	(ViaI2C3PutByte), (ViaI2C3GetBit), (ViaI2C3GetByte),
	(ViaI2CBus3Init), (ViaI2CScan), (ViaI2CInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_i2c.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_id.c:
	(ViaCheckCardId):
	* programs/Xserver/hw/xfree86/drivers/via/via_id.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_memory.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.c:
	(ViaTVDetect), (ViaTVInit), (ViaTVSave), (ViaTVRestore),
	(ViaTVDACSense), (ViaTVSetMode), (ViaTVPower), (ViaTVGetIndex),
	(ViaOutputsDetect), (VIAGetActiveDisplay), (ViaOutputsSelect),
	(VIAGetPanelSizeFromDDCv2), (ViaGetModeIndex), (ViaGetVesaMode),
	(ViaPanelGetIndex), (ViaGetNearestRefresh), (ViaRefreshAllowed),
	(ViaModeInit), (VIASetPrimaryClock), (VIASetSecondaryClock),
	(VIASetLCDMode), (ViaModePrimaryVGA), (ViaModeDotClockTranslate),
	(ViaModePrimary), (ViaModeSecondaryVGA), (ViaModeSecondary),
	(ViaLCDPower):
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_overlay.c:
	(viaOverlayGetV1V3Format), (viaOverlayGetSrcStartAddress),
	(viaOverlayGetYCbCrStartAddress), (viaOverlayHQVCalcZoomWidth),
	(viaOverlayHQVCalcZoomHeight), (viaOverlayGetFetch),
	(viaOverlayGetDisplayCount), (rangeEqualize), (vPackFloat),
	(viaCalculateVideoColor):
	* programs/Xserver/hw/xfree86/drivers/via/via_overlay.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_priv.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_refresh.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_regrec.c:
	(FlushVidRegBuffer), (ResetVidRegBuffer), (SaveVideoRegister):
	* programs/Xserver/hw/xfree86/drivers/via/via_regrec.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_regs.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_shadow.c:
	(VIARefreshArea), (VIARefreshArea8), (VIARefreshArea16),
	(VIARefreshArea24), (VIARefreshArea32):
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.c:
	(VIAVidHWDiffInit), (viaSetColorSpace), (ViaInitVideoStatusFlag),
	(ViaSetVidCtl), (ViaYUVFillBlack), (AddHQVSurface),
	(CreateSurface), (VIAVidCreateSurface), (VIAVidLockSurface),
	(VIAVidDestroySurface), (SetFIFO_V1), (SetFIFO_V3),
	(SetFIFO_64or32), (SetFIFO_64or16), (SetFIFO_64or48or32),
	(SetFIFO_V3_64or32or32), (SetFIFO_V3_64or32or16), (SetupFIFOs),
	(SetColorKey), (SetChromaKey), (SetVideoStart), (SetHQVFetch),
	(SetFetch), (SetDisplayCount), (SetMiniAndZoom), (SetVideoControl),
	(FireVideoCommand), (SetVideoWindow), (Upd_Video),
	(VIAVidUpdateOverlay), (VIAVidAdjustFrame):
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_tuner.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_tv2.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_tv3.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.c: (ViaGrMask):
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_video.c:
	(DecideOverlaySupport), (viaResetVideo), (viaInitVideo),
	(viaSetupImageVideoG), (CreateSWOVSurface), (DestroySWOVSurface),
	(viaStopSWOVerlay), (viaSetPortAttributeG), (viaPutImageG),
	(viaQueryImageAttributesG), (viaPutVideo):
	* programs/Xserver/hw/xfree86/drivers/via/via_video.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vt1622a.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vt162x.c:
	(VT162xPrintRegs), (ViaVT162xDetect), (ViaVT162xSave),
	(ViaVT162xRestore), (ViaVT162xDACSenseI2C), (ViaVT1621DACSense),
	(ViaVT1622DACSense), (ViaVT1621ModeValid), (ViaVT1622ModeValid),
	(ViaVT1621ModeI2C), (ViaVT1621ModeCrtc), (ViaVT1622ModeI2C),
	(ViaVT1622ModeCrtc), (ViaVT1621Power), (ViaVT1622Power),
	(ViaVT162xInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_vt162x.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	(ViaInitXVMC), (ViaXvMCCreateSurface), (ViaXvMCCreateSubpicture),
	(ViaXvMCDestroyContext):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvpriv.h:
	* programs/Xserver/hw/xfree86/drivers/via/videodev.h:

	Sync with latest unichrome releases:
	Release 30: Fixes YUV2 alloc/free issues, increased overlay height to
	1200, disable ScreenToScreenColorExpand Acceleration, abstract vt162x
	and clean up standard modetable.
	Release 29: Further cleanups to Xv, move gpioi2c into xf86I2C, sanely
	handle output activation (primary only). Fixes many Xv and accel bugs,
	stops VT switching hardlock with certain dotclocks.
	Release 28: Major Xv cleanup. Add Xv cropping. Add support for new
	XvMC info infrastructure. Tuner dropped. AGP ring-buffer support is
	now an option. Virtual range extended.
	(Kenneth Aafløy, Thomas Hellström, Felipe Rodriguez, Terry Lewis,
	Andreas Robinson, Luc Verhaegen)

2005-02-06  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIInitBuffers):
	Don't clear the front buffer in SAVAGEDRIInitBuffers. Fixes blackness
	of GL-XScreensaver hacks that grab the screen.

2005-02-05  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/input/fpit/fpit.man:
	* programs/Xserver/hw/xfree86/input/fpit/readme.txt:
	* programs/Xserver/hw/xfree86/input/fpit/xf86Fpit.c:
	(xf86FpitConvert), (xf86FpitReadInput), (xf86FpitControl),
	(xf86FpitAllocate), (xf86FpitInit):
	-Add passive pen support to the fpit driver (David M. Clay), bug 2440

2005-02-04  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_regs.h:
	Applied patch (id=1354) by Mike A. Harris from bug #1901:
	The attached patch updates a couple of PCI IDs for the Savage driver --
	Debian/Ubuntu/Red Hat/Fedora.

2005-02-03  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/os/xprintf.c:
	Bugzilla #1865 (https://bugs.freedesktop.org/show_bug.cgi?id=1865)
	attachment #1827 (https://bugs.freedesktop.org/attachment.cgi?id=1827):
	check for va_copy not being defined and use __va_copy if available    

2005-02-02  Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONDoAdjustFrame): fix error with color tiling and hw scrolling,
	it looks like rv100 doesn't need the special treatment, after all
	(reported by Stephane Marchesin)

2005-02-02  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/lib/GL/glx/compsize.c:
	* xc/programs/Xserver/GL/glx/Imakefile: 
	Bugzilla #1866 (https://bugs.freedesktop.org/show_bug.cgi?id=1866)
	attachment #1819 (https://bugs.freedesktop.org/attachment.cgi?id=1819):
	Define APIENTRY on windows to prevent <GL/gl.h> from loading <windows.h>
	removed leftovers from attachment #1818 
	 
2005-02-02  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/Imakefile
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1817 (https://bugs.freedesktop.org/attachment.cgi?id=1817):
	Fix linking dependencies on cygwin, bsd and maybe others introduced by 
	attachment #1649 (https://bugs.freedesktop.org/attachment.cgi?id=1649)
	Link libos.a after libxkb.a to resolve the Xprintf symbol.

2005-02-01  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	- fix long standing bug in depth 24 that made colors look dithered.
	The CLUT was not being switched to 8 bit mode.

2005-02-01  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/xaa/xaaStateChange.c:
	Bug #1294: Make sure RenderAccel hooks get wrapped in XAA init.

2005-02-01  Adam Jackson  <ajax@freedesktop.org>

	* lib/GL/mesa/drivers/osmesa/Imakefile:
	Bug #1894: Fix weak dependencies in libOSMesa.  Originally Debian
	patch 063_fix_weak_deps.diff. (Branden Robinson)

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bus/xf86Sbus.h
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_io.c
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c
	Bugzilla #825 (https://bugs.freedesktop.org/show_bug.cgi?id=825)
	attachment #956 (https://bugs.freedesktop.org/attachment.cgi?id=956):
	Fix build problems on Linux/SPARC.
	Patch by  Jeremy Huddleston <eradicator@gentoo.org>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-02  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage.man:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	- Changed option ForcePCIMode to option BusType for consistency
	  with other drivers (radeon) and the DmaType option.
	- Changed the type of a few more messages in SavagePreInit.
	- Updated the manual page.
	- Moved option CrtOnly to a more sensible place in the man page.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xmore/xmore.man
	* xc/programs/xmore/xmore.sgml
	Bugzilla #2410 (https://bugs.freedesktop.org/show_bug.cgi?id=2410)
	attachment #1786 (https://bugs.freedesktop.org/attachment.cgi?id=1786):
	Fix formatting problem in the xmore(1x) manual page.
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr> and Roland Mainz
	<roland.mainz@nrubsig.org>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call (the
	xmore.man diff is an automatic update from the DocBook--->man
	conversion).

2005-02-01  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/Imake.rules:
	* config/cf/Imake.tmpl:
	Bug #1054: dlloader modules need to statically link against libgcc.

2005-02-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_dri.c
	Check return value of i830InitDma() and fail to initialize the DRI
	if that fails.
	Also, check the DRM module name that it matches i915 and not the
	older i830 driver which some people were still trying to use
	and was causing Dma Initialization failures and lockups.

2005-02-01  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/xkb/ddxLoad.c
	* xc/programs/Xserver/xkb/ddxList.c:
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1649 (https://bugs.freedesktop.org/attachment.cgi?id=1649):
	cleanup the generation of xkbcomp command lines. Allocate them dynamicly
	and remove unmaintainable length calculation.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	Bugzilla #2410 (https://bugs.freedesktop.org/show_bug.cgi?id=2410)
	attachment #1782 (https://bugs.freedesktop.org/attachment.cgi?id=1782):
	Build the XRX plugin only if the system supports shared libraries
	(which is a requirement for this plugin).
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/Compose/pt_BR.UTF-8
	* xc/nls/XLC_LOCALE/pt_BR.UTF-8
	Bugzilla #2400 (https://bugs.freedesktop.org/show_bug.cgi?id=2400)
	attachment #1762 (https://bugs.freedesktop.org/attachment.cgi?id=1762):
	Fix build bustage caused by broken patch for brazillian locale support
	(see Bugzilla #1896).
	Patch by Kevin E. Martin <kem@freedesktop.org>.

2005-02-01  Daniel Stone  <daniel@freedesktop.org>

	* config/cf/linux.cf:
	* config/cf/xorg.cf:
	Re-enable building of tdfx for ia64 and amd64, since libglide3 is
	available there.

2005-01-31 Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man
	change option EnableColorTiling to ColorTiling

2005-01-31  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage.man:
	Update the savage manual page:
	- Added options AGPSize, DmaType and ForcePCIMode.
	- Updated DisableCOB: 3D requires COB, default value is "off", which
	  means that the COB is enabled.

2005-01-31  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageInitialize2DEngine):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(ShadowWait), (ShadowWaitQueue), (WaitQueue3D), (WaitQueue4),
	(WaitQueue2K), (SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	- Shadow status update thresholds on Savage4 were reversed. Fixed now.
	- Fixed cobIndex on Savage2K. It used only a 4K COB so far. Now we
	  have full 128K.
	- Program the shadow status thresholds correctly on Savage2K.
	- Savage2K reports used entries in the queue in qword units instead
	  of dwords. Fixed WaitQueue2K accordingly.
	- Event counter 0 is in status word 2 instead of status word 1 on
	  Savage2K. Fixed ShadowWait accordingly.
	- Added a ShadowWaitQueue function that doesn't idle the engine
	  all the time. This improves 3D animation smoothness with concurrent
	  2D activity when shadow status is enabled.

2005-01-30  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageSetGBD_3D):
	- Update comments about tiled surface regs for savage3d

2005-01-30  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIBuffersInit), (SAVAGEDRIKernelInit),
	(SAVAGEDRIScreenInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	Added two new options "DmaType" and "ForcePCIMode".

2005-01-30  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/man/X11/Imakefile
	Bugzilla #1090 <https://bugs.freedesktop.org/show_bug.cgi?id=1090>
	Fix typo in filename of IsModifierKey man page
	(Reported by Pavel Tsekov <ptsekov@gmx.net>)

2005-01-30  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c
	Bugzilla #1692 <https://bugs.freedesktop.org/show_bug.cgi?id=1692>
	Remove reference to nonexistent Monitors file from xorgconfig
	(Report & patch from Dejan Lesjak <dejan.lesjak@ijs.si>)

2005-01-30  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/os-support/bsd/bsd_kbd.c
	Fix option dontVTSwitch under *BSD, when XKB is disabled.
	Bugzilla #2252.
	* config/cf/OpenBSD.cf
	- Enable DoLoadableServer on amd64 and macppc, since the Dlloader
	works on these architectures
	- Reenable build of freetype, expat and xterm since OpenBSD
	doesn't provide alternative sources for those. 
	- use gcc -pipe as on base system.
	* config/cf/OpenBSDLib.tmpl
	bump libICE minor version here too.

2005-01-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/etc/pci.ids:
	Update to latest rev from http://pciids.sf.net/
	* programs/Xserver/hw/xfree86/etc/extrapci.ids:
	Remove entries that now duplicate pci.ids
	Add entries for new Nvidia boards added in recent nv driver update

2005-01-29  Daniel Stone  <daniel@freedesktop.org>

	* config/cf/X11.tmpl:
	* lib/ICE/ICElib.h:
	* lib/ICE/misc.c:
	* lib/SM/sm_manager.c:
	Move _IceGetPeerName into the ICE public API as IceGetPeerName; bump ICE
	soversion to 6.4 accordingly.  Change SM's use to the public version.
	The old version will be retained for compatibility.

2005-01-28  Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>

	* lib/X11/StrKeysym.c:
	- cleaned up boundary-case handling for Uxxxx Unicode keysym notation

2005-01-28  Thomas Winischhofer  <thomas-at-winischhofer-dot-net>

	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb.h:
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_accel.c:
	(SiSUSBAccelInit):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_cursor.c:
	(SiSUSBLoadCursorImage), (SiSUSBLoadCursorImageARGB):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_driver.c:
	(sisusbSetup), (SISUSBDriverFunc), (SISUSBProbe),
	(SiSUSB_CheckModeCRT1), (SISUSBSearchCRT1Rate):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_driver.h:
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_init.c:
	(SiSUSB_CalcCRRegisters), (SiSUSBBuildBuiltInModeList):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_init.h:
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_video.c:
	- Accelerate HWcursor upload in double scan modes
	- Add "driverfunc" and report no hardware access needed
	- Remove unneeded stuff

2005-01-28  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Bus.c:
	(xf86FindPrimaryDevice):
	* programs/Xserver/hw/xfree86/common/xf86Configure.c:
	(DoConfigure):
	* programs/Xserver/hw/xfree86/common/xf86DoProbe.c: (DoProbe):
	* programs/Xserver/hw/xfree86/common/xf86Events.c: (xf86VTSwitch):
	* programs/Xserver/hw/xfree86/common/xf86Globals.c:
	* programs/Xserver/hw/xfree86/common/xf86Helper.c: (xf86AddDriver),
	(xf86AllocateScreen):
	* programs/Xserver/hw/xfree86/common/xf86Init.c: (InitOutput),
	(ddxProcessArgument), (ddxUseMsg):
	* programs/Xserver/hw/xfree86/common/xf86Priv.h:
	* programs/Xserver/hw/xfree86/common/xf86RandR.c:
	(xf86RandRGetInfo), (xf86RandRSetConfig):
	* programs/Xserver/hw/xfree86/common/xf86str.h:
	* programs/Xserver/hw/xfree86/drivers/dummy/dummy_driver.c:
	(dummySetup), (dummyDriverFunc):
	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c: (FBDevSetup),
	(FBDevDriverFunc):
	* programs/Xserver/hw/xfree86/etc/scanpci.c: (main):
	* programs/Xserver/hw/xfree86/os-support/bsd/alpha_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bsd/arm_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bsd/i386_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bsdi/bsdi_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.c:
	* programs/Xserver/hw/xfree86/os-support/bus/ix86Pci.c:
	(ix86PciSelectCfgmech):
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	(linuxPciOpenFile), (linuxPciCfgRead), (linuxPciCfgWrite),
	(linuxPciCfgSetBits), (xf86GetPciDomain), (linuxMapPci):
	* programs/Xserver/hw/xfree86/os-support/bus/ppcPci.c:
	(ppcPciInit), (motoppcPciInit), (buserr), (pciCfgMech1Read),
	(pciCfgMech1Write), (pciCfgMech1SetBits):
	* programs/Xserver/hw/xfree86/os-support/hurd/hurd_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_init.c:
	(xf86OpenConsole), (xf86CloseConsole):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c:
	(SetKbdRepeat):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/lynxos/lynx_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/nto/nto_ioperm.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/os2/os2_ioperm.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/sco/sco_iop.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/shared/ioperm_noop.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/sunos/sun_vid.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/sysv/sysv_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/xf86_OSproc.h:
	Modifying X.Org Xserver DDX to allow to run X with ordinary
	user permissions when no access to HW registers is required.
	For API changes which mostly involve the modifications to
	make the RRFunc (introduced with 6.8) more flexible please
	check Bugzilla #2407.
	NOTE: This patch applies changes to OS specific files for
	other OSes which I cannot test.
	
2005-01-27 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xrx/plugin/include/npapi.h
	Bugzilla #2398 (https://bugs.freedesktop.org/show_bug.cgi?id=2398)
	attachment #1765 (https://bugs.freedesktop.org/attachment.cgi?id=1765):
	Fix build bustage on AIX.
	Patch by Dan McNichol <mcnichol@austin.ibm.com>.

2005-01-27  Egbert Eich  <eich-at-freedesktop-dot-org>

	* lib/Xaw/XawIm.c: (SizeNegotiation), (CreateIC), (SetICValues):
	Muffle gcc4 sentinel (trailing NULL in varargs list) check
	(Marcus Meissner, Bugzilla #2392).
	
2005-01-27  Daniel Stone  <daniel@freedesktop.org>

	* include/extensions/scrnsaver.h:
	Include <X11/Xlib.h>.

2005-01-26 Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_common.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_sarea.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_version.h
	(Stephane Marchesin, me) Add support for color (framebuffer) tiling.
	Convert all XAA accel code to use explicit dst and src offset pitch
	control to make it work.
	Use the new drm surface ioctls to set up the tiled surfaces
	(if dri is enabled).
	(retroactively applied to Changelog)

2005-01-26 Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	fix issues with mergedfb + pageflip (fix up sarea frame values)

2005-01-26  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	Fix tiled framebuffer setup on Savage3D (Alex Deucher)

2005-01-26  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.cf:
	Disable building the Savage DRI driver.

2005-01-26  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/mingw.cf:
	Define HasFreetype2 and HasZlib to NO.

2005-01-26  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	(IsBaseUnassigned64), (FindPCIVideoInfo):
	When we tested if a PCI base address was unassigned we 
	didn't take into account that this bar could have been
	the upper part of a 64bit base address.
	This fix makes this code 64bit bar aware (Bugzilla #2382).
	
2005-01-26  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Bus.c: (RemoveOverlaps):
	Rewrite of RemoveOverlaps() to make the code more readable.
	It was virtually impossible to determine if the old code did
	what it was supposed to do. Also changed paradigm:
	Trust the based address more than the (guessed) size
	(Bugzilla #2383).
	
2005-01-25  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
	Jan. 2005 nv chipset update from Mark Vojkovich
	Bug #2380 <https://bugs.freedesktop.org/show_bug.cgi?id=2380>
	Patch #1752 <https://bugs.freedesktop.org/attachment.cgi?id=1752>

2005-01-25  Thomas Winischhofer  <thomas-at-winischhofer-dot-net>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/drivers/sisusb:
	Add sisusb driver 

2005-01-25  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	(FindPCIVideoInfo):
	* programs/Xserver/hw/xfree86/os-support/bus/xf86Pci.h:
	Fix interpretation of 64bit PCI bases: read hi long word
	from the right bar (Michael Yaroslavtsev, Bugzilla #2322).
	
2005-01-25  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	(VIAInitVisualConfigs), (VIADRIScreenInit),
	(VIADRIFinishScreenInit):
	Fixes for the visual fixup commits:
	- Fix DRM memory manager initialization so that it doesn't 
	  overlap the pixmap cache.
	- Set accumAlphaSize to 0 for 16bpp visuals.

2005-01-24  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/i2c/xf86i2c.c:
	Bug #2004: Make DDC delay slightly longer.  (Thomas J. Moore)

2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONCopyData), (RADEONCopyRGB24Data), (RADEONCopyMungedData):
	Don't exclude 'RADEONInfoPtr info = ...' declaration even when
	not building with DRI support (Bugzilla #2370)
	
2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Adding vgaHW module to PPC64 architecture.
	
2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Adding dummy driver support to all platforms which don't build
	it by default yet. The dummy driver is completely generic and
	should work everywhere (Bugzilla #2369).
	
2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>
	* programs/Xserver/hw/xfree86/drivers/i810/i810_dri.c:
	(I810DRILeave):
	Unmap XCursor AGP memory on VT switch to prevent system from lockup
	(Matthias Hopf, Bugzilla #2329).
	
2005-01-24  Daniel Stone  <daniel@fooishbar.org>

	* config/cf/Imake.tmpl:
	* config/cf/X11.tmpl:
	Disable potentially dangerous FreeType, zlib and libpng builds by
	default.  Disable xterm and XRX builds per default.

2005-01-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/man/Xext/Imakefile:
	* doc/man/Xext/XcupGetReservedColormapEntries.man:
	* doc/man/Xext/XcupQueryVersion.man:
	* doc/man/Xext/XcupStoreColors.man:
	Add man pages for TOG-CUP extension functions.   (Converted to
	man page format by Sun based on TOG-CUP specification docs.)

2005-01-21  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/os-support/linux/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_font.c:
	(lnx_savefont):
	* programs/Xserver/hw/xfree86/vgahw/Imakefile:
	Alan Cox requested that we check the kernel version before
	we use kernel VGA font save/restore as the required features
	have been added to Linux 2.6.11 (Bugzilla #2277).
	
2005-01-21  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/chips/ct_accel.c:
	(AccelInit):
	* programs/Xserver/hw/xfree86/drivers/chips/ct_driver.c:
	(chipsPreInitHiQV), (chipsModeInitHiQV):
	Comparing the C&T driver code with the original BE support patch
	by Rob Taylor and Jean-Laurent Gazelle it looks like the handling 
	of the availability of a dual endian fb aperture and the byte 
	swapping control bit appears to be slightly wrong.
	This patch attempts to fix it (Bugzilla #2346).

2005-01-19  Alan Coopersmith  <alan.coopersmith@sun.com>

 	* xc/config/imake/imakemdep.h:
	Pass through additional #defines for Solaris.
	(Sun bug id #5097074 - Alan Coopersmith)

2005-01-19  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* programs/Xserver/hw/xfree86/common/xf86Xinput.c:
	Fix debugging ErrorF() so it compiles when DEBUG is true.

Wed Jan 19 16:52:51 2005  SÃ¸ren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/Imakefile: Add MMXOPTIONS to fbcopy.c

2005-01-19  Alan Coopersmith  <alan.coopersmith@sun.com>
	* doc/man/Xt/Imakefile
	* doc/man/Xt/XtAddCbk.man
	* doc/man/Xt/XtAddIn.man
	* doc/man/Xt/XtAllocGC.man
	* doc/man/Xt/XtAppE.man
	* doc/man/Xt/XtAppEM.man
	* doc/man/Xt/XtAppSTC.man
	* doc/man/Xt/XtClass.man
	* doc/man/Xt/XtConvSt.man
	* doc/man/Xt/XtConvert.man
	* doc/man/Xt/XtCreateSR.man
	* doc/man/Xt/XtDisplayI.man
	* doc/man/Xt/XtErr.man
	* doc/man/Xt/XtErrM.man
	* doc/man/Xt/XtExtEvDis.man
	* doc/man/Xt/XtGEDB.man
	* doc/man/Xt/XtGetANC.man
	* doc/man/Xt/XtGetActK.man
	* doc/man/Xt/XtGetAres.man
	* doc/man/Xt/XtGetSTO.man
	* doc/man/Xt/XtGetSres.man
	* doc/man/Xt/XtInit.man
	* doc/man/Xt/XtInitWC.man
	* doc/man/Xt/XtManChild.man
	* doc/man/Xt/XtOffset.man
	* doc/man/Xt/XtOwnSel.man
	* doc/man/Xt/XtRegDraw.man
	* doc/man/Xt/XtResPA.man
	* doc/man/Xt/XtSession.man
	* doc/man/Xt/XtSetLangP.man
	* doc/man/Xt/XtSetSP.man
	* doc/man/Xt/XtSetVal.man
	* doc/man/Xt/XtSetWMC.man
	Xt man page cleanups/merge with Sun versions (Alan Coopersmith &
	Sun Microsystems docs teams)
	Bug #2331 <https://bugs.freedesktop.org/show_bug.cgi?id=2331>
	Attachment #1718 <https://bugs.freedesktop.org/attachment.cgi?id=1718>

2005-01-19 Thomas Winischhofer <thomas@winischhofer.net>
	SiS driver (all files)
	- Fix off-by-one error in setting up offscreen-images
	- Fix for retrieval of mode timing from BIOS for LCD
	- Fix for DGA in MergedFB mode
	- Code size reduction by more calculations, less tables
	- ShadowFB uses fast memcpy (correctly) now
	- Prefer user given modes over default ones		    
	- Add ForcePanelRGB option
	- Wrap fb and MMIO access with macros for easier porting

2005-01-18 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/compose.dir
	* xc/nls/locale.dir
	* xc/nls/Compose/Imakefile
	* xc/nls/Compose/pt_BR.UTF-8
	* xc/nls/XI18N_OBJS/Imakefile
	* xc/nls/XI18N_OBJS/pt_BR.UTF-8
	* xc/nls/XLC_LOCALE/Imakefile
	* xc/nls/XLC_LOCALE/pt_BR.UTF-8
	* xc/programs/Xserver/XpConfig/Imakefile
	Bugzilla #1896 (https://bugs.freedesktop.org/show_bug.cgi?id=1896)
	attachment #1675 (https://bugs.freedesktop.org/attachment.cgi?id=1675):
	Add support for pt_BR.UTF-8 locale.
	Patch by Gustavo Noronha Silva, Branden Robinson, Julien Lafon.

2005-01-17  Kristian HÃ¸gsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/input/evdev/evdev.c (EvdevReadInput)
	(EvdevReadInput): Handle horizontal wheel events and move mapping
	of extra buttons up so they don't overlap the wheel buttons.
	Patch from Alan Swanson (#968).

2005-01-15  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/fb/fbmmx.c:
	* programs/Xserver/fb/fbpict.c:
	* programs/Xserver/fb/fbpict.h:
	Bug #1895: Fix fbComposeGetSolid for BGR.  (David S. Miller)	

Fri Jan 14 17:03:40 2005  SÃ¸ren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/mi/miwindow.c (miSlideAndSizeWindow): Fix from Keith
	Packard for bitgravity bugs in the Composite extension, reported
	by Amir Bukhari.

Fri Jan 14 11:12:46 2005  SÃ¸ren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbpict.c (fbComposite): Use mmx CopyArea in
	a few more places.

2005-01-14  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86PM.c: (eventName),
	(DoApmEvent), (xf86HandlePMEvents):
	- Don't suspend Xserver on APM standby request as this seems
	  to cause problems on may systems which don't support APM
	  standby and might not be required as according to the APM
	  specs the chips should receive enough power to retain its
	  state.
	- Print out power state change requests to log file in all 
	  verbosity levels.
        - Don't change server state if no driver PM function is 
	  registered.
	(Bugzilla #2279)

2005-01-14  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/os-support/linux/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx.h:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_font.c:
	(getfont), (lnx_savefont), (setfont), (lnx_restorefont),
	(lnx_switchaway), (lnx_freefontdata):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_init.c:
	(xf86OpenConsole), (xf86CloseConsole):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c:
	* programs/Xserver/hw/xfree86/os-support/shared/VTsw_usl.c:
	(xf86VTSwitchAway):
	* programs/Xserver/hw/xfree86/vgahw/Imakefile:
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.c: (vgaHWRestoreFonts),
	(vgaHWSaveFonts):
	Let the OS instead of X save/restore text console fonts on Linux.
	So far we relied on the generic VGA layer to restore text console
	fonts for us when shutting down the server or VT switching back 
	to the text console.
	This has worked rather well but it has some downsides on Linux:
	a. Many people use fbdev as console text mode. In this case it is
	   not necessary to save/restore console fonts as the console is 
	   running in graphics mode anyway. 
	b. Some architectures don't have a fbdev console but require a
	   full POST of even the primary card (ie. IA64). This posting 
	   has to take place before we even have a chance to save
	   anything. Therefore the fonts we save are the once written to 
	   the chip by POST, not what has been programmed by the user.
	c. Certain chipsets utilize the BIOS to perform mode setting. This
	   may interfer with the vga save/restore font function in a 
	   strange way.
	It would therefore be preferrable to let the OS - which has been
	used to set up the font in the first place - take care of 
	saving/restoring the data.
	I will attach a patch which will do so for Linux.
	To make this fully functional a small patch needs to be applied to
	the Linux kernel. 
        To disable this feature add:
	#define DoOSFontRestore NO
	to your host.def. (Bugzilla #2277)
	
2005-01-14  Egbert Eich  <eich-at-freedesktop-dot-org>

        * lib/X11/lcFile.c: (normalize_lcname):
        Made some security enhancements:
        - no writing past end of buffer caused by bogus locale.
        - explicitely add a \0 character at end of string.
        (Ienup Sung, Bugzilla #2262)

2005-01-14 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	Disable 32bpp depth buffers (Mesa limitations)

2005-01-14  Alexander Gottwald  <ago at freedesktop dot org>
	* xc/programs/Xserver/os/xprintf.c:
	Added copyright notice.

2005-01-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/afb/afbbres.c   
	* xc/programs/Xserver/afb/afbbresd.c  
	* xc/programs/Xserver/afb/afbclip.c   
	* xc/programs/Xserver/afb/afbhrzvert.c
	* xc/programs/Xserver/afb/afbline.c   
	* xc/programs/Xserver/afb/afbmodule.c 
	* xc/programs/Xserver/afb/afbpixmap.c 
	* xc/programs/Xserver/afb/afbpolypnt.c
	* xc/programs/Xserver/afb/afbpushpxl.c
	* xc/programs/Xserver/afb/afbtegblt.c
	* xc/programs/Xserver/cfb/Imakefile.inc
	* xc/programs/Xserver/cfb/cfballpriv.c
	* xc/programs/Xserver/cfb/cfbbitblt.c
	* xc/programs/Xserver/cfb/cfbcppl.c
	* xc/programs/Xserver/cfb/cfbgc.c
	* xc/programs/Xserver/cfb/cfbglblt8.c
	* xc/programs/Xserver/cfb/cfbmap.h
	* xc/programs/Xserver/cfb/cfbpixmap.c
	* xc/programs/Xserver/cfb/cfbscrinit.c
	* xc/programs/Xserver/cfb/cfbtab.h
	* xc/programs/Xserver/cfb/cfbteblt8.c
	* xc/programs/Xserver/cfb/cfbunmap.h
	* xc/programs/Xserver/mfb/maskbits.c
	* xc/programs/Xserver/mfb/maskbits.h
	* xc/programs/Xserver/mfb/mergerop.h
	* xc/programs/Xserver/mfb/mfb.h
	* xc/programs/Xserver/mfb/mfbclip.c
	* xc/programs/Xserver/mfb/mfbfont.c
	* xc/programs/Xserver/mfb/mfbgc.c
	* xc/programs/Xserver/mfb/mfbmisc.c
	* xc/programs/Xserver/mfb/mfbpushpxl.c
	* xc/programs/Xserver/XpConfig/Imakefile
	Bugzilla #1114 (https://bugs.freedesktop.org/show_bug.cgi?id=1114)
	attachment #667 (https://bugs.freedesktop.org/attachment.cgi?id=667):
	Convert afb and cfb{,16,24,32} to be dlloader-friendly.
	Patch by Adam Jackson  <ajax@freedesktop.org>.

2005-01-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/sunleo/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_bcopy.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_checks.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_frect.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_frectsp.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_fspans.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_fspanssp.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_gc.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_gc.h:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_glyph.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_stubs.c:
	Bug #1259: Convert sunleo(4) to fb.

2005-01-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_bcopy.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_dga.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb.h:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_rcache.h:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_regs.h:
	* programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile:
	Bug #1891: XAA support for Sun FFB.  (Dave S. Miller)

2005-01-14  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.cf:
	Use dlloader by default for loadable server builds.

2005-01-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/compose.dir
	* xc/nls/locale.alias
	* xc/nls/locale.dir
	* xc/programs/Xserver/XpConfig/Imakefile
	Bugzilla #1830 (https://bugs.freedesktop.org/show_bug.cgi?id=1830)
	attachment #1674 (https://bugs.freedesktop.org/attachment.cgi?id=1674):
	Adding support for the bs_BA (bs, bs_BA, bs_BA.iso88592, 
	bs_BA.ISO-8859-2, bs_BA.ISO_8859-2, bs_BA.UTF-8) locale.
	Patch by Vedran Ljubovic <vljubovic@smartnet.ba>.

Thu Jan 13 17:45:13 2005  SÃ¸ren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/GL/glx/glxcmds.c (DoCreateGLXPixmap): Make sure
	the pixmap is a valid new resource

	* programs/Xserver/GL/glx/glxcmds.c (DoCreateContext): Make sure
	the context is a legal new resource.

	* lib/GL/glx/glx_pbuffer.c (CreatePbuffer): Handle null
	attrib_list.

	* lib/GL/glx/glx_pbuffer.c (CreateDrawable): Handle null
	attrib_list; copy attrib_list to data; actually allocate the new
	GLXDrawable.

Thu Jan 13 15:40:29 2005  SÃ¸ren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbmmx.c (fbCompositeSrc_8888x8x8888mmx): Add
	MMX implementation of non-repeating source IN repeating mask, aka
	"translucent window".

	* programs/Xserver/fb/fbmmx.c (fbCopyAreammx,
	fbCompositeCopyAreammx): Add MMX implementation of CopyArea.

	* programs/Xserver/fb/fbcopy.c (fbCopyNtoN): Use MMX
	implementation of CopyArea.

	* programs/Xserver/fb/fbpict.c (fbComposite): Use the new
	implementations.

2005-01-13 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c

	Some of the newer Radeons (R420 for example) have MM_TABLE's
	with size 0x33 (instead of 0x0c that we know). Furthermore,
	they lockup during access of I2C bus !
	
	Add a check to validate MM_TABLE.

2005-01-12  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/compiler.h:
	Bug #2114: PPC64 Linux build fix: use system definition of eieio().
	Originally Gentoo bug #66223.  (Tim Yamin, Donnie Berkholz)

2005-01-12  Kristian HÃ¸gsberg  <krh@redhat.com>

	* config/cf/linux.cf: 
	* programs/Xserver/hw/xfree86/input/evdev/evdev.c: 
	* programs/Xserver/hw/xfree86/input/evdev/Imakefile:
	Add new evdev input driver.  This driver uses the linux input
	layer directly and can handle both mice and keyboards.

	* ChangeLog:
	Convert this to UTF-8 again.  The ChangeLog should be kept in
	UTF-8.

2005-01-12 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_driver.h
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.h
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_memcpy.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_cursor.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_accel.c
	Import some changes from the Unichrome project.
	- Fixes 2D acceleration problems
	- Adds AGP DMA

2005-01-11 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	More visual fixing.

2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* lib/X11/lcFile.c: (normalize_lcname), (_XlcResolveLocaleName):
	'Normalize' locale names (ie. remove any '-' and '_' and convert
	to lower case after the <language>_<territory> part) before
	matching against locale.alias (Bugzilla #2262).
	This needs adequate testing that we don't accidentally introduce
	undesirable side effects.
	
2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Don't build tdfx DRI driver on any platform but x86 and AXP
	as therequired Glide3 lib is only available there (if at all).
	Readability fixes (Bugzilla #2264).

2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/chips/chips.man:
	Explain the FpMode option (Bugzilla #2261).
	
2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/ddc/edid.h:
	Minor format fix.
	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c: (KbdPreInit),
	(PostKbdEvent):
	Added explanatory comment and debug code.
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_apm.c:
	(lnxPMConfirmEventToOs):
	Added comment.
	
2005-01-11 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	Add alpha buffer initialization to 32bpp modes.
	Move 24/8 mode to first exported mode as it works best (currently).

2005-01-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/spooler.c
	Bugzilla #2167 (https://bugs.freedesktop.org/show_bug.cgi?id=2167)
	attachment #1641 (https://bugs.freedesktop.org/attachment.cgi?id=1641):
	Fix broken Solaris print queue enumeration.

2005-01-11  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIBuffersInit), (SAVAGEDRIKernelInit),
	(SAVAGEDRIScreenInit), (SAVAGEDRIFinishScreenInit),
	(SAVAGEDRICloseScreen):
	- Support for PCI Savages: on PCI cards don't run
	  SAVAGEDRIAgpInit, add PCI DMA buffers instead of AGP
	  buffers. Set dma_type properly in SAVAGEDRIKernelInit.
	- Something's still wrong with ShadowStatus on the PCI card I'm
	  testing here. Probably a DRM issue.
	- Fixed error handling. Call SAVAGEDRICloseScreen instead of
	  DRICloseScreen.

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_regs.h:
	- Added AGP/PCI detection (copied from the radeon driver).

2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	* config/cf/xorg.cf:
	Make MIPS build rules more standard conformant: Use a macro
	defined in the project specific config file for OptimizedCDebugFlags.
	
2005-01-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/attributes.h
	Bugzilla #2254 (https://bugs.freedesktop.org/show_bug.cgi?id=2254)
	attachment #1659 (https://bugs.freedesktop.org/attachment.cgi?id=1659):
	Refix for gcc4.0 build failure. It seems that the |ExecCommand()|
	function has no consumer and can safely be removed.

2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	When having a place to define DevelDrivers for AMD64
	we should have reference it, too.
	
2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c: (PostKbdEvent):
	PC keyboards internally generate a different scan code when the
	ALT modifier is pressed with the SysReq/Print key. Since X expects
	the same scancode regardless of the modifier the keyboard driver
	has to 'map the code back'. So far it does so when seeing the
	SysReq scancode without checking if the modifier is on. If this
	scancode is also sent by another key on an extended keyboard it
	receives the same remapping. 
	Fix: Add check for ALT modifier down before doing the remapping
	(Bugzilla #2255, Helmut Fahrion).

2005-01-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Util.c
	* xc/programs/Xserver/Xprint/attributes.h
	* xc/programs/Xserver/Xprint/ps/Ps.h
	Bugzilla #2254 (https://bugs.freedesktop.org/show_bug.cgi?id=2254)
	attachment #1654 (https://bugs.freedesktop.org/attachment.cgi?id=1654):
	Fix gcc4.0 build failure.
	Patch by Egbert Eich  <eich@freedesktop.org> and Roland Mainz
	<roland.mainz@nrubsig.org>

2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c:
	(SpecialKey):
	Make option 'DontVTSwitch' work again with kbd driver 
	under Linux.
	The kbd driver now calls the OS layer to handle special
	keys. Possibly other special keys and other OSes need to 
	be looked at also. 
	(Bugzilla #2252, Helmut Fahrion).

2005-01-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Revert some changes to TweakMemorySize

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/config/cf/mingw.cf:
	Adjust XVendorManNameString, XVendorContact, OSName and OSVendor

2005-01-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	Fix VIA DRI initialization so that the correct visuals are exported.

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/Imakefile:
	Fix library dependencies for libxkb.a on cygwin and mingw.
	
2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/xkb/ddxList.c
	* xc/programs/Xserver/xkb/ddxLoad.c
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1647 (https://bugs.freedesktop.org/attachment.cgi?id=1647):
	export Win32System and Win32TempDir
	remove #ifdef WIN32 block for building xkbcomp commandline
	create win32 tempfile in system tempdir
	use PATH_MAX*4 for commandline buffer
	unlink tempfile again
	
2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/xkb/ddxLoad.c
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1645 (https://bugs.freedesktop.org/attachment.cgi?id=1645):
	cleanup some #ifdef __UNIXOS2__ and WIN32 blocks.
	make OutputDirectory check the size of the buffer
	quote all file and pathnames in the xkbcomp commandline
	use PATH_MAX*4 for commandline buffer

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/include/Xwindows.h:
	Make sure PATH_MAX is at least 1024

2005-01-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint.cpp
	Bugzilla #2240 (https://bugs.freedesktop.org/show_bug.cgi?id=2240)
	attachment #1642 (https://bugs.freedesktop.org/attachment.cgi?id=1642):
	Fix incorrect usage of /usr/bin/tr in startup script (the used
	"[\n]" is neither correct or portable, using "\n" seems to be
	sufficient (this fixes various "random" issues, including
	including Debian bug #258419 and Debian bug #264983).
	Patch by Drew Parsons <dparsons@debian.org>.

2005-01-07 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/lib/GL/mesa/tnl/Imakefile.inc
	Add missing t_vb_cull.c

2005-01-06 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_context.c
	Cleanup of extension string handling (Ian Romanick)

2005-01-06 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/extras/drm/linux/drm_pm.h
	Missing file

2005-01-06 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i810/common.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810.man
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_common.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_cursor.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_dri.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_memory.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_reg.h
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_state.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_texblend.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_metaops.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_reg.h
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_state.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_tex.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_texprog.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_texstate.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_context.h
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_ioctl.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_screen.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_state.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_tex.c
	* xc/extras/drm/shared/drm_pciids.txt
	* xc/extras/drm/shared/i915_drv.h
	* xc/extras/drm/shared/i915.h
	* xc/extras/drm/linux/drm_drv.h
	* xc/extras/drm/linux/drm_os_linux.h
	* xc/extras/drm/linux/drmP.h
	* xc/extras/drm/linux/i915_drv.c
	* xc/extras/drm/linux/Makefile
	* xc/extras/drm/linux/Makefile.kernel
	Add:
	- Intel i915GM support to 2D DDX and 3D Mesa drivers.
	- PanelID identification
	- DRI suspend/resume support
	- Detection of monitor changes on VT switches
	- Support custom video modes if available in the Video BIOS
	- 3D enhancements:
		* GL_ARB_texture_cube_map
		* GL_EXT_blend_equation_separate
		* GL_ATI_blend_equation_separate
		* GL_ARB_point_parameters
		* GL_NV_blend_square
		* GL_EXT_cull_vertex
		* GL_ARB_depth_texture
		* GL_SGIX_depth_texture
		* GL_ARB_shadow
		* GL_EXT_shadow_funcs
		* GL_3DFX_texture_compression_FXT1
	By Tungsten Graphics, Keith Whitwell & Alan Hourihane.

2005-01-05 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xterm/INSTALL
	* xc/programs/xterm/MANIFEST
	* xc/programs/xterm/Makefile.in
	* xc/programs/xterm/Tekproc.c
	* xc/programs/xterm/VTPrsTbl.c
	* xc/programs/xterm/VTparse.def
	* xc/programs/xterm/VTparse.h
	* xc/programs/xterm/XTerm.ad
	* xc/programs/xterm/aclocal.m4
	* xc/programs/xterm/button.c
	* xc/programs/xterm/charclass.c
	* xc/programs/xterm/charproc.c
	* xc/programs/xterm/configure
	* xc/programs/xterm/configure.in
	* xc/programs/xterm/ctlseqs.ms
	* xc/programs/xterm/cursor.c
	* xc/programs/xterm/doublechr.c
	* xc/programs/xterm/fontutils.c
	* xc/programs/xterm/fontutils.h
	* xc/programs/xterm/input.c
	* xc/programs/xterm/main.c
	* xc/programs/xterm/main.h
	* xc/programs/xterm/menu.c
	* xc/programs/xterm/menu.h
	* xc/programs/xterm/misc.c
	* xc/programs/xterm/os2main.c
	* xc/programs/xterm/plink.sh
	* xc/programs/xterm/precompose.c
	* xc/programs/xterm/print.c
	* xc/programs/xterm/ptyx.h
	* xc/programs/xterm/resize.c
	* xc/programs/xterm/screen.c
	* xc/programs/xterm/scrollbar.c
	* xc/programs/xterm/testxmc.c
	* xc/programs/xterm/trace.c
	* xc/programs/xterm/util.c
	* xc/programs/xterm/uxterm
	* xc/programs/xterm/version.h
	* xc/programs/xterm/xstrings.c
	* xc/programs/xterm/xterm.h
	* xc/programs/xterm/xterm.log.html
	* xc/programs/xterm/xterm.man
	* xc/programs/xterm/xterm_io.h
	* xc/programs/xterm/xtermcfg.hin
	* xc/programs/xterm/unicode/README
	* xc/programs/xterm/unicode/make-precompose.sh
	* xc/programs/xterm/unicode/precompose.c.head
	Bugzilla #1979 (https://bugs.freedesktop.org/show_bug.cgi?id=1979)
	attachment #1639 (https://bugs.freedesktop.org/attachment.cgi?id=1639):
	Update xterm from version #196 to version #197:
	- modify configure script to remove empty "-DPROJECTROOT="
	  definition which resulted unusable values for luit's default path.
	- update precompose.c based on Unicode 4.0.1
	- several minor fixes based on Intel compiler warnings.
	- change default translations so a BtnDown which is not recognized
	  is simply ignored rather than emitting a bell. That makes it less
	  obtrusive when the user tries to use a mouse which provides more
	  capabilities than the X mouse driver supports, e.g., one with a
	  horizontal scroll wheel (Debian #265133).
	- note in xterm's manpage that translations is not specific to xterm
	  (Debian #278897).
	- modify uxterm script to use locale program to verify if the
	  derived locale is installed (Debian #246398).
	- correct font handling for active icon when in UTF-8 mode (report
	  by Paolo Liberatore).
	- make active-icon and toolbar configurations work together.
	- modify the criteria for disowning primary selection. Previously,
	  this happened anytime the cursor was moved before the end of the
	  selection. That would ensure that any insert/delete of char or
	  line, as well as scrolling, would disown the selection. The new
	  criteria change this to checking if the operations would modify
	  the data which is highlighted (Debian #277832).
	- reimplement DECALN with functions for vt420 rectangles, fixes
	  selection for this case.
	- implement vt420 rectangle operations.
	- add parsing, for debug/test of vt220 soft-fonts.
    	- add menu entry, actions and escape sequence to allow
	  enabling/disabling toolbars at runtime.
	- improve rendering for Xft, allow it to draw non-linedrawing
	  characters such as "pi", which were drawn from internal tables
	  with patch #180 (Freedesktop.org Bugzilla #1260).
	- add configure option --enable-mini-luit, ifdef'd the mini-luit
	  feature with OPT_MINI_LUIT.
	- add mini-luit feature, which supports Latin9 directly rather than
	  via luit, provided that Unicode fonts are used (Freedesktop.org
	  Bugzilla #1571, request by Stefan Dirsch, patch by Michael
	  Schroeder).
	- for Linux, if IUTF8 is defined, e.g., on recent 2.6.x kernels, set
	  the corresponding flag for the slave pty, to enable UTF-8
	  interpretation of backspace in cooked mode (Freedesktop.org
	  Bugzilla #1578, request by Stefan Dirsch).
	- modify faceSize resource to use a floating-point internal value
	  (adapted from patch by Sam Stephenson).
	- correct handling selection of tabs over cleared space in UTF-8
	  mode. In this special case, xterm represents the whitespace with a
	  null rather than a space character (Debian #276447).
	- amend fix for infinite loop from patch #192 to check if there
	  is wrapped text to output in a following iteration (Debian
	  #273202).
	- fixes ifdef'd with __INTERIX to allow building with Interix
	  (Windows Services for UNIX) 3.5 using the xlibs libraries from
	  freedesktop.org (patch by Min Sik Kim).
	- amend solution for Debian #252873, #260471 from patch #194 by
	  making the cursor not explicitly colored if only the foreground
	  color is set, and the cursor is on a blank space (Debian #275473).
	- correct logic for send/receive mode (SRM) with regard to control
	  characters.
	- fix masking of invisible text in wide-character mode, which did
	  not work for line-drawing characters.
	- incorporate CF_XOPEN_SOURCE into configure script, replacing
	  CF_GNU_SOURCE.
	Patch by Thomas Dickey <dickey@radix.net>.

2005-01-04 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/glxgears/glxgears.c
	Bugzilla #2220 (https://bugs.freedesktop.org/show_bug.cgi?id=2220)
	attachment #1630 (https://bugs.freedesktop.org/attachment.cgi?id=1630):
	Make glxgears a better GL client via calling |glFinish()| between frame
	swaps to avoid that the GL instruction queue gets spammed, sometimes
	even killing all interactive usage of the Xserver.

2005-01-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	- made structure of PPC64 part look more like the other
	  structures.
	- added VBE driver to PPC64. I don't know if this really
	  makes sense, but since we are building the int10 module
	  we should also build the vbe module.
	- added i915 DRM driver to list of drivers for the AMD64 
	  architecture.
	- added a check for gcc versions > 3 for setting GccAliasingFlags.
	
2005-01-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Bugzilla #2211 (https://bugs.freedesktop.org/show_bug.cgi?id=2211)
	attachment #1627 (https://bugs.freedesktop.org/attachment.cgi?id=1627):
	xorgconfig default keyboard model outdated (should be pc105, 
	not pc101/pc102)

Mon Jan  3 12:45:10 2005  SÃ¸ren Sandmann  <sandmann@redhat.com>

	Clean-ups and support for AMD64. Bug 1067.
	Patch by Nicholas Miell (nmiell@comcast.net)
	
	* programs/Xserver/fb/Imakefile: Add support for AMD64

	* programs/Xserver/fb/{fbmmx.[ch],fbpict.c}: Many cleanups
	using <mmintrin.h> instead of __builin_ia32_*, and intrinsics
	instead of inline assembly. Also unconditionally use pshufw on
	AMD64. 

	* programs/Xserver/fb/*: s/USE_GCC34_MMX/USE_MMX/g

2005-01-03  Egbert Eich  <eich-at-freedesktop-dot-org>

	* include/Xos.h:
	* include/Xthreads.h:
	gcc 4 doesn't like predeffines line 'linux' any more.
	To muffle the compiler replace them with __linux__
	(Bugzilla #2207).
	
2005-01-03  Adam Jackson  <ajax@freedesktop.org>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_video.c:
	Bug #1488: Fix crash on i830 during startup. (Eric Anholt)	

2005-01-03  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/Xprint/attributes.c: (AppendEntry):
	Added missing return value (Bugzilla #2205)
	Problem found by Stefan Kulow.

2005-01-03  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	(screen_configuration):
	Added missing return value (Bugzilla #2206)
	Problem found by Stefan Kulow.

2005-01-03 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/XprintAppUtil/xpapputil.c
        * xc/lib/XprintAppUtil/xpapputil.h
	* xc/lib/XprintUtil/xprintutil.c
	* xc/lib/XprintUtil/xprintutil.h
	* xc/programs/glxgears/glxgears.c
	* xc/programs/xdbedizzy/xdbedizzy.c
	* xc/programs/xedit/Xedit-xprint.ad
	* xc/programs/xedit/commands.c
	* xc/programs/xlogo/print.c
	* xc/programs/xlsfonts/xlsfonts.c
	* xc/programs/xlsfonts/xlsfonts.man
	* xc/programs/xlsfonts/xlsfonts.sgml
	* xc/programs/xman/Xman-xprint.ad
	* xc/programs/xman/handler.c
	* xc/programs/xman/print.c
	* xc/programs/xman/print.h
	* xc/programs/xmore/XMore.ad
	* xc/programs/xmore/print.c
	* xc/programs/xmore/print.h
	* xc/programs/xmore/printdialog.c
	* xc/programs/xmore/printdialog.h
	* xc/programs/xmore/printdialogprivates.h
	* xc/programs/xmore/xmore.c
	* xc/programs/xphelloworld/xpawhelloworld/xpawhelloworld.c
	* xc/programs/xphelloworld/xphelloworld/xphelloworld.c
	* xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c
	* xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.c
	* xc/programs/xphelloworld/xpxthelloworld/xpxthelloworld.c
	* xc/programs/xplsprinters/xplsprinters.c
	* xc/util/memleak/getretmips.c
	Bugzilla #1706 (https://bugs.freedesktop.org/show_bug.cgi?id=1706)
	attachment #1615 (https://bugs.freedesktop.org/attachment.cgi?id=1615):
	XprintUtils 2004/Q3 update. This adds various new features to the
	XprintUtils library including support for page resolutions where 
	X_resolution!=Y_resolution, listfonts-mode control and initial framework
	for the COLORSPACE extension.
	Patch by Roland Mainz <roland.mainz@nrubsig.org> and Julien Lafon
        <julien.lafon@gmail.com>.

2005-01-02  Matthieu Herrb <matthieu.herrb@laas.fr>

	* doc/man/Xt/XtNextEv.man:
	Fix formatting.

2005-01-02  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEInitVisualConfigs):
	Make 32-bit visuals match the set of visuals supported by the DRI
	driver.

2005-01-02  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIScreenInit), (SAVAGEDRIFinishScreenInit),
	(SAVAGEDRIInitBuffers), (SAVAGEDRIMoveBuffers):
	Reenabled SAVAGEDRIInitBuffers and SAVAGEDRIMoveBuffers and fixed
	lockups they were causing. InitBuffers now uses the DRM clear
	command, MoveBuffers needs to wait for 3D idle. Some related
	cleanups.

2005-01-01  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageInitialize2DEngine), (SavageInitAccel):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGECreateContext), (SAVAGEDestroyContext),
	(SAVAGEWakeupHandler), (SAVAGEBlockHandler), (SAVAGESelectBuffer),
	(SAVAGEDRIAgpInit), (SAVAGEDRIMapInit), (SAVAGEDRIKernelInit),
	(SAVAGEDRIScreenInit), (SAVAGEDRIFinishScreenInit),
	(SAVAGEDRIInitBuffers), (SAVAGEDRICloseFullScreen):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(ShadowWait), (SavageIdentify), (SavageProbe), (SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_hwmc.c:
	(SAVAGEXvMCCreateContext):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_sarea.h:
	Updates to support the new Savage DRM driver (version 2.0.x) which
	was just committed to DRM CVS. Cleaned up the interface to the DRI
	driver. Bumped the Savage DDX version to 2.0.0 due to incompatible
	changes in that interface.

2005-01-01  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/os-support/xf86drm.h:
	Added new DRM map type DRM_CONSISTENT for consistent PCI
	memory. Only implemented in the Linux DRM so far.

2004-12-24  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONProbePLLParameters), (RADEONInitCrtc2Registers):
	- Fix MCLK / SCLK calculation (Benjamin Herrenschmidt) bug 2144
	- formatting cleanup

2004-12-24  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/xkb/ddxLoad.c:
	Print error message if CreateProcess fails
	Simplify popen simulation code for WIN32
	Remove temporary file after executing xkbcomp
	        
2004-12-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/programs/Xserver/hw/xfree86/common/xf86Init.c:
	* xc/lib/Xmu/CvtStdSel.c:
	* xc/programs/Xserver/hw/xfree86/os-support/bus/Sbus.c:
	Bug #2123 <https://bugs.freedesktop.org/show_bug.cgi?id=2123>
	Attachment #1587 <https://bugs.freedesktop.org/attachment.cgi?id=1587>
	Call to uname should not check for return == 0, but for >= 0 instead

2004-12-20  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* lib/XvMC/hw/via/viaLowLevel.c: (pciCommand), (agpCommand):
	* lib/XvMC/hw/via/viaXvMC.c: (XvMCCreateContext),
	(XvMCDestroyContext), (XvMCSyncSurface):
	Updated libviaXvMC to Unichrome release 0.13.3.

2004-12-19  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/trident/trident_dac.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_driver.c:
	* programs/Xserver/hw/xfree86/drivers/trident/tvga_dac.c:
	Bug #1202: Remove long-broken 1bpp and 4bpp support from trident
	driver.  (Jakub Stachowski)

2004-12-19  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/r128.h:
	* programs/Xserver/hw/xfree86/drivers/ati/r128.man:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_accel.c:
	(R128EngineInit), (R128RestoreCCEAccelState), (R128CCEAccelInit),
	(R128RestoreAccelState), (R128MMIOAccelInit):
	* programs/Xserver/hw/xfree86/drivers/ati/r128_cursor.c:
	(R128SetCursorColors), (R128SetCursorPosition),
	(R128LoadCursorImage), (R128HideCursor), (R128ShowCursor):
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c:
	(R128EntPriv), (R128INPLL), (R128Blank), (R128Unblank),
	(R128GetBIOSParameters):
	* programs/Xserver/hw/xfree86/drivers/ati/r128_probe.c:
	(R128Probe):
	* programs/Xserver/hw/xfree86/drivers/ati/r128_probe.h:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_reg.h:
	- Add support for Dualhead on M3/M4 (bug 1760)

2004-12-19  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig), (RADEONPreInit):
	- Make dualhead ram allocation cleaner and related messages
	  clearer

2004-12-19  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/aticonsole.c:
	(ATIEnterVT):
	* programs/Xserver/hw/xfree86/drivers/ati/atidri.c:
	(ATIDRISetAgpMode), (ATIDRIAgpInit), (ATIDRIResume):
	* programs/Xserver/hw/xfree86/drivers/ati/atidri.h:
	- Add DRI resume support (Micha Feigin) bug 2063

2004-12-19  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(R100SetupTexture), (R200SetupTexture):
	- fix warnings (Ronny V. Vindenes)

2004-12-18  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	- fix warning and potential error in radeon_driver.c

2004-12-17  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/r128.h:
	* programs/Xserver/hw/xfree86/drivers/ati/r128.man:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c:
	- Add VGAAccess option to r128 driver.  Based on Benh's radeon patch.
	  r128 should now work on ppcs without usefbdev.  To use this on ppc
	  make sure you set "usefbdev" to false. (bug 2089)

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineRestore):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONProbePLLParameters), (RADEONGetPanelInfoFromReg),
	(RADEONGetLVDSInfo), (RADEONGetPanelInfo), (RADEONGetClockInfo),
	(RADEONQueryConnectedMonitors), (RADEONUpdatePanelSize),
	(RADEONDDCModes), (RADEONValidateDDCModes), (RADEONPreInitModes),
	(RADEONPreInit), (RADEONSave), (RADEONRestore),
	(RADEONInitDispBandwidth), (RADEONInitCrtc2Registers),
	(RADEONInitPLLRegisters), (RADEONInitPLL2Registers), (RADEONInit),
	(RADEONFreeScreen):
	- Apply Benjamin Herrenschmidt's radeon patches (bug 2064)

2004-12-16 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	
	Move DMA robustness fix into radeon_dri.c::RADEONEnterServer()
	as per suggestion by Michel DÃ¤nzer.
	
	I could not trigger a lockup, even with r300_demo (possibly it
	has code that flushes cache inside ?), so this must be good 
	enough..

2004-12-16 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c
	
	Add DMA robustness fix from Nicolai Haehnle.
	
	TODO: move this fix into DRM driver or other parts of Xserver
	when R300 support is more stable.
	
	This fix affects only R300 and later variants and results in
	small slowdown when using CP acceleration in comparison to
	the previous version of the driver.
	
	We are still a lot faster in CP mode than using MMIO register
	access.
	
2004-12-15  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/xdm/dm.h:
	Remove unused define.
	* programs/Xserver/Xext/xres.c:
	Use snprintf.

2004-12-15  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.h:
	Bug #2008: Fix gcc4 compile problem.

2004-12-15  Thomas Winischhofer  <thomas@winischhofer.net>
     
        * Fix MISC extension's PassMessage(). Make it actually
	  work (MsgVal was trashed) and fix memory leaks.
	* Increase MISC extension's minor number to 9 to indicate
	  that PassMessage() is actually usable
	 

2004-12-14  Adam Jackson  <ajax@freedesktop.org>

	* lib/GL/mesa/shader/Imakefile.inc:
	Revert last change, shaderobjects.c is in Mesa 6.3 only.	

2004-12-14  Adam Jackson  <ajax@freedesktop.org>

	* extras/Mesa/:
	Bug #2003: Import Mesa 6.2.1.

	* lib/GL/mesa/shader/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/r128/Imakefile.inc:
	Imakefile fixes for Mesa 6.2.1. (Sergio Montiero Basto)

2004-12-13  Egbert Eich  <eich-at-freedesktop-dot-org>

	* lib/X11/imInsClbk.c: (_XimUnRegisterIMInstantiateCallback):
	Removed #ifdef'ed out code together with the comment explaining
	why it was #ifdef'ed out.
		
	* programs/Xserver/hw/xfree86/doc/sgml/BUILD.sgml:
	Fixed typo.

	* programs/Xserver/hw/xfree86/os-support/bus/Pci.c: (xf86scanpci):
	Added comment to a changed that's been committed with one of the
	previous commits.
	
2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/util/memleak/getretmips.c
	Bugzilla #758 (https://bugs.freedesktop.org/show_bug.cgi?id=758)
	attachment #375 (https://bugs.freedesktop.org/attachment.cgi?id=375):
	Fix a buffer overrun which may happen when the size of the stack buffer
	is exactly the same as the actual stack size.
	Patch by Stephen Kennedy <Stephen.Kennedy@havok.com>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xext/saver.c
	Bugzilla #1695 (https://bugs.freedesktop.org/show_bug.cgi?id=1695)
	attachment #1230 (https://bugs.freedesktop.org/attachment.cgi?id=1230):       
	Fix crash in Xscreensaver code which allowed any authentificated X client
        to crash the Xserver using |XScreenSaverUnsetAttributes()|.
        Patch by ajax@nwnk.net

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86Xinput.c
	Bugzilla #1688 (https://bugs.freedesktop.org/show_bug.cgi?id=1688)
	attachment #1530 (https://bugs.freedesktop.org/attachment.cgi?id=1530):       
	Fix the current implementation to make it possible to slow down the
	mouse pointer or use arbitrary fractions (without running into
	rounding error issues). The change is using the same method of
	preserving rounding errors that the exponential method is already
	using.
	Patch by Jan Brunner <Jan_B@gmx.ch>.

2004-12-12  Kristian HÃ¸gsberg  <krh@redhat.com>

	* programs/Xserver/Xext/xf86vmode.c:
	Lower default verbosity for Xvidmode log messages to stop the
	extension from writing non critical info to the log, thus keeping
	the disk busy.
	https://bugs.freedesktop.org/show_bug.cgi?id=1552

	* programs/Xserver/hw/xfree86/os-support/bus/460gxPCI.c
	Add fix for bus scanning SEGV on ia64 with 460gx bus.
	https://bugs.freedesktop.org/show_bug.cgi?id=1383

2004-12-12  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/Imake.rules:
	* config/cf/Imake.tmpl:
	Bug #1054: When building dlloader modules, don't link them against
	any other shared libs.

2004-12-12 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c
	
	Make DMA blitting code more robust.
	
2004-12-12 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	
	Enable DRM support permanently, allowing its use for any
	CHIP_FAMILY > R300. 
	Fix bug in naming Mesa3d driver (it was defaulting to r200)

2004-12-12  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c:
	(RADEONSetAgpMode):
	- missing diff from agp 8x support

2004-12-12 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_common.h
        * programs/Xserver/hw/xfree86/drivers/ati/radeon_version.h
        Add R300 (and later) DRM support, protected by X_R300_DRM
	option.

	Note: at the moment this is for 2d support only, if enabled
	running glxgears locks up my machine, but DMAForXv=yes 
	works fine.

2004-12-12  Matthieu Herrb <matthieu.herrb@laas.fr>

	* doc/man/X11/XGetWProp.man:
	Fix missing XChangeProperty() prototype missing in 
	synopsis section.

2004-12-11  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitDRI):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	- add AGP 8x support (Hui Yu, Michel Daenzer) bug 1819

2004-12-11  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_bios.c:
	(RADEONGetConnectorInfoFromBIOS):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONQueryConnectedMonitors), (RADEONScreenInit),
	(RADEONInitFPRegisters):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	- only mess with Dynamicclocks on mobility chips (Benh, me) bug 1912
	- fix display detection (Hui Yu) bug 1559
	- Add new option "BIOSHotkeys" to allow the bios to control
	  output switching (off by default) bug 2000

	* programs/Xserver/hw/xfree86/drivers/savage/savage.man:
	- update the savage man page to document the "CrtOnly" option

2004-12-11  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* extras/Xpm/lib/Imakefile:
	* extras/Xpm/lib/RdFToI.c:
	* extras/Xpm/lib/WrFFrI.c:
	* extras/Xpm/lib/s_popen.c:
	* lib/Xpm/Imakefile:
	Replace s_popen() by a more specific function that allows only 
	one command in the pipe. Remove extraneous tests on file names
	that broke some applications. From Alex Reisen in Bugzilla #1920.

2004-12-09  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_dac.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_type.h:
	Bugzilla #1985 <https://bugs.freedesktop.org/show_bug.cgi?id=1985>
	sync to 12/08/04 version of Nvidia driver from Mark Vojkovich,
	including these fixes since last sync:
	    Fix some DAC/Graphics memory contention issues on newer 
	    NVIDIA chips (specifically, NV40).
	    More PCI IDs.
	    Also, I've had trouble getting some panels to work 
	    automagically so I expose an FPTweak option to let the user 
	    adjust a troublesome register.

2004-12-09  Torrey T. Lyons  <torrey@freedesktop.org>

	* config/cf/darwin.cf:
	Fix building with Apple gcc newer than version 3.3.

2004-12-09  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/miext/rootless/accel/rlAccel.c: (rlCloseScreen),
	(RootlessAccelInit):
	Fix crash with more than one screen reported by John Davidorff Pell.

2004-12-08  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/X11/ErrDes.c:
	* doc/man/general/X.man:
	Bugzilla #1980 (https://bugs.freedesktop.org/show_bug.cgi?id=1980)
	Handle XERRORDB only on WIN32 platform

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/mi/miinitext.c
	Bugzilla #1361 (https://bugs.freedesktop.org/show_bug.cgi?id=1361)
	attachment #1287 (https://bugs.freedesktop.org/attachment.cgi?id=1287):
	Avoid DRI initalisation when the Xfree86-DRI extension was turned
	off.
	Patch by Kristian HÃ¸gsberg <krh@bitplanet.net>.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/mi/miinitext.c
	Bugzilla #1361 (https://bugs.freedesktop.org/show_bug.cgi?id=1361)
	attachment #938 (https://bugs.freedesktop.org/attachment.cgi?id=938):
	Allow more extensions to be enabled/disabled.

2004-12-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/extras/Xpm/lib/xpm.h
	Bugzilla #830 (https://bugs.freedesktop.org/show_bug.cgi?id=830):
	Fix libXpm header (xpm.h) to use the X11 function begin/end marker
	macros (_XFUNCPROTOBEGIN, _XFUNCPROTOEND) instead of homegrown
	(native) C++ code.
	Patch by Kevin DeKorte <kdekorte@yahoo.com>.

2004-12-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/include/extensions/dpms.h
	Bugzilla #830 (https://bugs.freedesktop.org/show_bug.cgi?id=830):
	Get DPMS header file (include/extensions/dpms.h) working with C++
	applications.
	Patch by Kevin DeKorte <kdekorte@yahoo.com> and Roland
	Mainz <roland.mainz@nrubsig.org>.

2004-12-06  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/common/Imakefile:
	xf86Config.c references USE_DEPRECATED_KEYBOARD_DRIVER so
	define it if needed when building this file
	* programs/Xserver/hw/xfree86/common/xf86config.c:
	- bug fix: pointerMsg -> keyboardMsg in auto-configuration code.
	- make the 'kbd' driver the default for autoconfiguration everywhere.
	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c:
	Previous fix broke hardware-based autorepeat. This fix
	mimics the behaviour of the legacy driver by making a local
	copy of the autoRepeat flag. 

2004-12-06  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/dmx/dmx.c: (DMXAddScreen), (DMXAddInput):
	Fix overwrite in DMX library calls (Bug #1989, Mark McLoughlin).

2004-12-06  Alexander Gottwald  <ago at freedesktop dot org>

	* include/Imakefile:
	Link Xwindows.h for cygwin too.

2004-12-06  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/fb/fbwindow.c: (fbCopyWindow):
	Use the same method of finding the screen pixmap of COMPOSITE
	extension is compiled in or not.
	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	Removed stale make variable.
	* programs/Xserver/hw/xfree86/xaa/xaaWrapper.c:
	(xaaWrapperCreateWindow), (xaaWrapperWindowExposures),
	(xaaWrapperPaintWindow), (xaaSetupWrapper):
	Updated xaaWrapper.c: Under certain circumstances the 
	accel path was not used when possible.
	Removed some debugging stuff and stale code that had been
	commented out.
	* programs/Xserver/mi/micmap.c: (miListInstalledColormaps):
	Check if maps are really installed before attempting to list
	them.
	
2004-12-06  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	Apply Debian patch to re-POST via VBE if driver thinks it has no
	video memory (a symptom of incompletely coming up from D3 power
	state), which fixes some Dell laptops (closes: #1890).

2004-12-06  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/Imakefile:
	Removed linking of msvcr70.dll from Xming.

2004-12-06  Michel Daenzer  <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONHostDataBlit), (RADEONHostDataBlitCopyPass):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitDRI):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONCopyData), (RADEON_420_422), (RADEONCopyRGB24Data),
	(RADEONCopyMungedData), (RADEONPutImage):
	When direct rendering is enabled, use hostdata blits to transfer data
	from system memory to video RAM, which should reduce CPU usage
	especially with larger videos. Can be disabled via Option "DMAForXv"
	if there should be any stability issues, but it's been stable for me
	during a week of testing. Based on a patch by Nikolaus Meine
	<meine@tnt.uni-hannover.de>.
	Probably fix endianness issues in some newer XVideo code, untested.

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(R100SetupTexture), (R200SetupTexture):
	Also use hostdata blits to transfer RENDER image data to video RAM to
	avoid idling the accelerator engine. Increases RENDER performance
	significantly for me.

	These changes were only tested on an M9 in a Titanium PowerBook but
	should work with all Radeons where direct rendering is supported.

2004-12-05  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/sunos/Imakefile:
	Bugzilla #1987 <https://bugs.freedesktop.org/show_bug.cgi?id=1987>
	HAVE_SYSV_IPC should be defined when building libc_wrapper.c on 
	Solaris

2004-12-04 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	Bugzilla #1800 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1800):
	Fix Postscript DDX's 1bit StaticGray visual to report only 1bit
	of significant bits in color specification (instead of 8bits).
	Patch by Julien Lafon <julien.lafon@gmail.com>

2004-12-04  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/r128_accel.c:
	Retry CCE idle commands until the (higher) timeout is reached, and
	properly stop the engine if we totally fail -- gets rid of serious
	performance issues and lockups with r128 DRI (closes: #1889).

	* programs/Xserver/hw/xfree86/drivers/ati/r128_dri.c:
	Disable interrupt handling after the DRM handler has been removed,
	preventing lockups (closes: #1886).

	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_video.c:
	Allow pitches with a granularity of 32, rather than 64, because some
	clamshell iBooks have 800-byte pitches.  Change Xv allocation
	granularity to 8 bytes, rather than 16 bytes, also (closes: #1888).

2004-12-04  Alexander Gottwald  <ago at freedesktop dot org>

	* doc/man/general/X.man:
	Bugzilla #1980, https://bugs.freedesktop.org/show_bug.cgi?id=1980
	Document XERRORDB in X.man         

2004-12-03  Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>

	- Converted numerous plain-text files to UTF-8 encoding
	
2004-12-03  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c
	- set default XkbModel to pc105 (like legacy keyboard driver did)
        - fix autorepeat (Bugzilla #1651, Petter Urkedal).

2004-12-03  Kristian HÃ¸gsberg  <krh@redhat.com>

	* programs/xcursorgen/xcursorgen.c
	(read_config_file, read_config_file, load_image, load_image):
	Check malloc() return values and handle failures gracefully.

2004-12-02  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/include/os.h:
	* programs/Xserver/os/xprintf.c:
	* programs/Xserver/os/Imakefile:
	Bugzilla #1865, https://bugs.freedesktop.org/show_bug.cgi?id=1865
	Added X(NF)printf and X(NF)vprintf functions which allocate the
	buffer with X(NF)alloc

	* lib/misc/snprintf.c:
	Bugzilla #1865, https://bugs.freedesktop.org/show_bug.cgi?id=1865
	extend snprintf to work on NULL. 
	
2004-12-02 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/X11.tmpl
        * xc/lib/font/fontfile/Imakefile 
        Bugzilla #2002 (https://freedesktop.org/bugzilla/show_bug.cgi?id=2002):
        Make location of the encodings/ files configurable in the build
        system via adding a new |FontEncDir|-symbol to xc/config/cf/X11.tmpl
        (default value is |$(LIBDIR)/fonts/encodings|).

2004-12-02 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/miext/damage/damagestr.h
        Bugzilla #1998 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1998):
        Fix Xserver standalone build when RENDER extension includes
        are not availabe.

2004-12-02  Kristian HÃ¸gsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/common/xf86.h:
	* programs/Xserver/include/os.h:
	Use __printf__ in gcc function attributes to avoid clash with libc
	wrapper define, and remove the last bits of the old workaround.
	
2004-12-02  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/os/WaitFor.c:
	Remove some of the ifdef WIN32 checks from WaitForSomething

2004-12-02  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/mingw.cf:
	Set HasFfs to NO

	* programs/Xserver/Imakefile:
	Fix link order problems with mingw. Add libdix.a after libmi.a.

	* programs/Xserver/mi/Imakefile:
	Pass -DHAS_FFS to compiler

	* programs/Xserver/mi/mibitblt.c:
	remove inline code for ffs(). It will link to dix/ffs.c instead
	added declaration for ffs()
	
2004-12-01  Daniel Stone  <daniel@freedesktop.org>

	* include/extensions/Xinerama.h:
	Include <X11/Xlib.h>, since we use libX11 functions (closes: #1897).

2004-12-01  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/X11/ErrDes.c (XGetErrorDatabaseText):
	Bugzilla #1980, https://bugs.freedesktop.org/show_bug.cgi?id=1980
	Make location of XErrorDB configurable

2004-12-01  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/X11/XlibInt.c (_XopenFile):
	Bugzilla #1864, http://bugs.freedesktop.org/show_bug.cgi?id=1864
	Initialize pointer to NULL to avoid freeing random memory

2004-11-30 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/Xprt.html
        Bugzilla #811 (https://freedesktop.org/bugzilla/show_bug.cgi?id=811):
        Updating generated Xprt.html which was forgotten during the
        previous work.

2004-11-30  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorgsite.def:
	Make Xorg the default server to install.
	
	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/atiprobe.c: (ATIProbe):
	Avoid PIO access on IA64. Some IA64 machine check if legacy ports
	outside the VGA range are accessed. The ATi driver however does 
	this to	probe for ISA Mach8/32/64. 
	Since no IA64 has ISA slots this restriction should not be
	relevant to the user.

	* programs/Xserver/hw/xfree86/os-support/bus/Pci.c: (xf86scanpci):
	Avoid recursive calls of xf86scanpci(). This function normally 
	detects that it has been called before by checking if the PCI
	structure is filled out. So far if this was not the case 
	(because PCI probing has failed for some reason) the function
	is traversed again. With the chipset specific PCI bus probing
	this can lead to an endless recursive loop as the post-probing
	code calls xf86scanpci() from within this function.
	
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	(linuxPciOpenFile):
	The OS specific PCI code for Linux worked only if bus 0
	was populated as it checked for the presence of /proc/bus/pci/00.
	Fixed to check for /proc/bus/pci/<bus_to_look_for> instead.

2004-11-28 Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>
	* fonts/bdf/misc/18x18ko.bdf
	* fonts/bdf/misc/18x18ja.bdf
	* fonts/bdf/misc/12x13ja.bdf
	* fonts/bdf/misc/9x18B.bdf
	* fonts/bdf/misc/9x18.bdf
	* fonts/bdf/misc/9x15B.bdf
	* fonts/bdf/misc/9x15.bdf
	* fonts/bdf/misc/8x13O.bdf
	* fonts/bdf/misc/8x13B.bdf
	* fonts/bdf/misc/8x13.bdf
	* fonts/bdf/misc/7x14B.bdf
	* fonts/bdf/misc/7x14.bdf
	* fonts/bdf/misc/7x13O.bdf
	* fonts/bdf/misc/7x13B.bdf
	* fonts/bdf/misc/7x13.bdf
	* fonts/bdf/misc/6x9.bdf
	* fonts/bdf/misc/6x13O.bdf
	* fonts/bdf/misc/6x13B.bdf
	* fonts/bdf/misc/6x13.bdf
	* fonts/bdf/misc/6x12.bdf
	* fonts/bdf/misc/6x10.bdf
	* fonts/bdf/misc/5x8.bdf
	* fonts/bdf/misc/5x7.bdf
	* fonts/bdf/misc/4x6.bdf
	* fonts/bdf/misc/10x20.bdf
	Resynchronized with latest release of ucs-font package at
	http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html
	* fonts/bdf/misc/gb24st.bdf
	* fonts/bdf/misc/gb16st.bdf
	* fonts/bdf/misc/gb16fs.bdf
	Fixed Bug #1805
	* fonts/util/8859-7.TXT
	Updated to ISO 8859-7:2003 (with euro sign)
	* fonts/util/8859-14.TXT
	* fonts/util/8859-15.TXT
	* fonts/util/8859-16.TXT
	* fonts/util/ucs2any.pl
	* fonts/util/ucs2any.c
	* fonts/util/bdftruncate.pl
	Removed obsolete email address from comments

2004-11-27 Matthieu Herrb <matthieu.herrb@laas.fr>
	* xc/programs/Xserver/hw/xfree86/driver/ati/radeon.man
	* xc/programs/Xserver/hw/xfree86/driver/voodoo/voodo.man
	* xc/programs/Xserver/hw/xfree86/driver/wsfb/wsfb.man
	XF86Config -> __xconfigfile__

2004-11-25 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/doc/man/general/Imakefile        
        * xc/doc/man/general/Xprint.html      
        * xc/doc/man/general/Xprint.man       
        * xc/doc/man/general/Xprint.sgml      
        * xc/programs/Xserver/Xprint/Imakefile  
        * xc/programs/Xserver/Xprint/Xprint.html
        * xc/programs/Xserver/Xprint/Xprint.man 
        * xc/programs/Xserver/Xprint/Xprint.sgml
        Bugzilla #811 (https://freedesktop.org/bugzilla/show_bug.cgi?id=811):
        Fixing "make install.man" build bustage caused by previous checkin
        via moving the Xprint(7) manual page it's correct location
        (=xc/doc/man/general/)

2004-11-25  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* extras/Xpm/lib/s_popen.c:
	Add file missed in previous commit..

2004-11-25 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/Imakefile
        * xc/programs/Xserver/Xprint/Xprt.html
        * xc/programs/Xserver/Xprint/Xprt.man
        * xc/programs/Xserver/Xprint/Xprt.sgml
        Bugzilla #811 (https://freedesktop.org/bugzilla/show_bug.cgi?id=811):
        Add missing manual page for "Xprt" (DocBook master file (Xprt.sgml)
        and the generated files (Xprt.html, Xprt.man).

2004-11-25 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/xprint_host.def
        * xc/config/cf/xprint_site.def
        Bugzilla #1921 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1921):
        Rename "xc/config/cf/xprint_site.def" to "xc/config/cf/xprint_host.def"
        to clarify it's purpose.

2004-11-25  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* extras/Xpm/lib/Attrib.c:
	* extras/Xpm/lib/CrBufFrI.c:
	* extras/Xpm/lib/CrDatFrI.c:
	* extras/Xpm/lib/Imakefile:
	* extras/Xpm/lib/RdFToBuf.c:
	* extras/Xpm/lib/RdFToI.c:
	* extras/Xpm/lib/WrFFrBuf.c:
	* extras/Xpm/lib/WrFFrI.c:
	* extras/Xpm/lib/XpmI.h:
	* extras/Xpm/lib/create.c:
	* extras/Xpm/lib/data.c:
	* extras/Xpm/lib/hashtab.c:
	* extras/Xpm/lib/misc.c:
	* extras/Xpm/lib/parse.c:
	* extras/Xpm/lib/scan.c: (AGetImagePixels):
	* lib/Xpm/Imakefile:
	Fixes for CAN-2004-0914 (Thomas Biege).

2004-11-25  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/os/utils.c:
	Bugzilla #1914: fix size limit for -fp argument

2004-11-24  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/Xext/xvmc.c:
	Add <sys/types.h> include to unbreak build on FreeBSD.

2004-11-23  Kristian HÃ¸gsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/common/xf86Beta.c: 
	Remove this file and all references to the binary expiry code.

	* include/extensions/Imakefile (DAMAGEHEADERS):
	Remove old obsolete include/extensions/damage.h.

	* programs/xkbcomp/symbols/macintosh/us:
	Include srvrv_ctrl(xfree86) in macintosh US XKB symbol file so VT
	switching works again on mac (#1872).

	* programs/Xserver/hw/xfree86/common/xf86.h: 
	* programs/Xserver/include/os.h: 
	Remove out of place #define's of printf to xf86printf.  This
	definition should only be in xfree86/os-support/xf86_libc.h

2004-11-23  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/radeon/radeon_driver.c:
	Use fp_horz_stretch for horizontal stretch factor derivation, not
	fp_vert_stretch (closes: #1881).

2004-11-23  Luc Verhaegen  <libv@skynet.be>

	Sync with unichrome X r27.
	Fixes: CLE266 rev.18 hang in HQV Idle. XvMC removing DRI MMIO. AGP 
	  ringbuffer crashing at VT switch. Bad handling of unsupported mode.
	  YV12 Chroma. Flickering overlay when covered.
	Updates: ids. XvMC to new drm version.
	Improves: XvMC startup time and handling of multiple cards. VGA/output
	  debugging. VT162x DAC detection. Move to single I2CDev for VT162x.
	  ViaYUVFillBlack.
	Removes: pViaModeTable structure and the acquiring of modetables from
	  VGA BIOS. Unused/broken VBE OEM calls.
	Adds: Option to control VT1622 flicker filter.
	(Terry Barnaby, Thomas HellstrÃ¶m, Ivor Hewitt, Pieter Peers, Luc
	Verhaegen)

	* programs/Xserver/hw/xfree86/drivers/via/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/via/via.man:
	* programs/Xserver/hw/xfree86/drivers/via/via_bandwidth.c:
	(ViaSetCLE266APrimaryFIFO), (ViaSetPrimaryExpireNumber),
	(ViaSetPrimaryFetchCount), (ViaSetPrimaryFIFO),
	(ViaSetSecondaryFetchCount), (ViaSetSecondaryFIFO):
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.c:
	(ViaDumpVGAROM), (ViaVBEGetActiveDevice),
	(ViaVBEGetDisplayDeviceInfo), (ViaVBEPrintBIOSDate),
	(ViaVBEPrintBIOSVersion):
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	(VIAGetRec), (VIAFreeRec), (VIAPreInit), (VIAEnterVT),
	(VIALeaveVT), (VIASave), (VIARestore), (VIAEnableMMIO),
	(VIADisableMMIO), (VIAScreenInit), (VIAInternalScreenInit),
	(VIAValidMode), (VIAWriteMode), (VIACloseScreen), (VIAFreeScreen),
	(VIAAdjustFrame), (VIASwitchMode), (VIADPMS), (VIADeviceSelection):
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_i2c.c:
	(VIAI2C1PutBits), (VIAI2C2PutBits), (ViaGpioI2c_Release),
	(ViaGpioI2c_SCLWrite), (ViaGpioI2c_SCLRead), (ViaGpioI2c_SDAWrite),
	(ViaGpioI2c_SDARead), (VIAI2CInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_id.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_lib.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.c:
	(ViaPrintTVRegs), (VIATVDetect), (VIAVT162xDACDetect),
	(VIASensorDVI), (VIAPostDVI), (VIAGetDeviceDetect),
	(VIAGetPanelSizeFromDDCv1), (VIAGetPanelSizeFromDDCv2),
	(ViaGetModeIndex), (ViaPanelGetIndex), (ViaTVGetIndex),
	(VIAFindModeUseBIOSTable), (VIASetPrimaryClock),
	(VIASetSecondaryClock), (VIASetLCDMode), (VIAPreSetTV2Mode),
	(VIAPreSetVT1623ModeGpioI2c), (VIAPostSetTV2Mode),
	(VIAPreSetTV3Mode), (VIAPostSetTV3Mode), (ViaTVModePreset),
	(ViaTVClose), (ViaTVModePostSet), (ViaSetPrimaryOffset),
	(ViaSetBlankingEndOverflow), (VIASetModeUseBIOSTable),
	(ViaSetSecondaryOffset), (VIASetModeForMHS), (ViaLCDPowerSequence),
	(VIAEnableLCD), (VIADisableLCD), (VIALoadPalette):
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.c:
	(ViaYUVFillBlack), (VIAVidCreateSurface), (Upd_Video),
	(VIAVidUpdateOverlay):
	* programs/Xserver/hw/xfree86/drivers/via/via_tuner.c:
	(ViaAudioSelect), (ViaTunerProbe):
	* programs/Xserver/hw/xfree86/drivers/via/via_vbe.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.c:
	(ViaVgahwMask), (ViaCrtcMask), (ViaSeqMask), (ViaVgahwPrint):
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_video.c:
	(viaSetupImageVideoG), (viaStopVideoG), (viaSetPortAttributeG),
	(viaPutImageG), (viaQueryImageAttributesG), (viaPutVideo):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	(ViaInitXVMC), (ViaXvMCCreateContext):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvpriv.h:

2004-11-23  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* lib/XvMC/XvMC.c: (XvMCGetDRInfo):
	* programs/Xserver/Xext/Imakefile:
	* programs/Xserver/Xext/xvmc.c: (ProcXvMCGetDRInfo):
	Bugzilla #1883 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1883):
	Fix insufficient SHM detection in XvMC local test.
	Removed reference to getpagesize() which caused linking problems on s390. 
	Reported by Stefan Dirsch <sndirsh@suse.de>
	
2004-11-23 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/miext/damage/damage.c
        Bugzilla #1204 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1204):
        Fix X11 test suite (caused by DAMAGE layer) failure with Xvfb when
        rendering text using |XDrawText*()| (XDrawText() tests 1, 3, 4, 27, 28,
        29, 30, 34, 37, 39, 41, 43 and XDrawText16() tests 1, 3, 9, 10, 11, 12,
        13, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 34,
        37, 39, 41, 43).
        Patch by Hong Bo Peng <penghb@cn.ibm.com> and Stefan Dirsch
        <sndirsch@suse.de>.

2004-11-23  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_cursor.c:
	(SavageShowCursor), (SavageHideCursor), (SavageSetCursorPosition),
	(SavageSetCursorColors):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	- fix and enable HW Cursor on crtc2
	- enable independant CLUT access
	
2004-11-22  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(GetTileAperturePitch2000), (SavageSetGBD), (SavageSetGBD_2000):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_regs.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_streams.c:
	(SavageInitStreams2000):
	- fix tiled framebuffer on Savage2000
	
2004-11-22  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/mi/mibitblt.c:
	Windows does not have ffs() implementation. added one

	* programs/Xserver/miext/rootless/Imakefile:
	* programs/Xserver/miext/rootless/rootlessConfig.h:
	Enable RootlessSafeAlpha and RootlessAcceleration for the Windows 
	port too
	
2004-11-22  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/xkb/ddxLoad.c:
	Use GetTempPath for finding a place where to store temporary files on
	Windows

2004-11-22  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/mingw.cf:
	Enable building of multiwindow and glx on win32

2004-11-22  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/os/WaitFor.c:
	* programs/Xserver/os/connection.c:
	* programs/Xserver/os/io.c:
	* programs/Xserver/os/lbxio.c:
	* programs/Xserver/os/osdep.h:
	Use a simple hashtable as ConnectionTranslation instead of a plain 
	array on Windows because socket fds are not sequential and do not
	start at 0 

2004-11-15  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/xkb/ddxLoad.c: 
	Use CreateProcess instead of system() to spawn xkbcomp on windows.
	system() can not handle spaces in the path component. Quoted all
	filenames on the commandline.

2004-11-15  Adam Jackson  <ajax@freedesktop.org>

	* lib/GL/glx/glxcmds.c:
	Bug #1672: Prevent libGL segfault if server's GLX version is > 1.2.

2004-11-15  Alexander Gottwald  <ago at freedesktop dot org>

	* Imakefile:
	* config/cf/Imake.cf:
	* config/cf/Imakefile:
	* config/cf/cygwin.cf:
	* config/cf/mingw.cf:
	* config/cf/mingw.rules:
	* config/cf/mingw.tmpl:
	* config/imake/imake.c: (define_os_defaults):
	* config/imake/imakemdep.h:
	* config/util/Imakefile:
	* include/Imakefile:
	* include/Xos.h:
	* include/Xpoll.h:
	* include/Xthreads.h:
	* include/Xw32defs.h:
	* include/Xwinsock.h:
	* include/Xwindows.h:
	* lib/GL/glx/glxclient.h:
	* lib/X11/ConnDis.c:
	* lib/X11/OpenDis.c:
	* lib/X11/XlibInt.c:
	* lib/X11/imTrans.c:
	* lib/X11/lcFile.c: (parse_line1), (_XlcParsePath), (xlocaledir):
	* lib/Xau/AuFileName.c: (XauFileName):
	* lib/Xau/AuLock.c:
	* lib/Xdmcp/GenKey.c:
	* lib/font/fc/fsio.c:
	* lib/font/fontfile/bufio.c: (BufFileOpenRead), (BufFileOpenWrite):
	* lib/font/fontfile/dirfile.c:
	* lib/font/fontfile/fontdir.c: (FontFileMakeDir):
	* lib/font/fontfile/fontfile.c: (FontFileNameCheck):
	* lib/xtrans/Xtrans.c: (SetOption):
	* lib/xtrans/Xtransdnet.c: (DNETBytesReadable), (DNETRead),
	(DNETWrite), (DNETDisconnect), (DNETClose):
	* lib/xtrans/Xtranssock.c: (SocketINETGetAddr),
	(SocketINETGetPeerAddr), (SocketOpen):
	* lib/xtrans/Xtransutil.c: (WSAStartup):
	* programs/Xserver/GL/Imakefile:
	* programs/Xserver/Imakefile:
	* programs/Xserver/os/WaitFor.c:
	* programs/Xserver/os/access.c: (DefineSelf), (ConvertAddr):
	* programs/Xserver/os/connection.c:
	* programs/Xserver/os/io.c:
	* programs/Xserver/os/log.c: (LogInit), (LogVWrite):
	* programs/Xserver/os/osdep.h:
	* programs/Xserver/os/utils.c:
	* programs/Xserver/os/xdmcp.c: (get_addr_by_name):
	* programs/Xserver/render/picture.h:
	* programs/Xserver/xkb/ddxLoad.c: (Win32TempDir),
	(OutputDirectory):
	* programs/xkbcomp/listing.c: (AddDirectory), (AddMatchingFiles),
	(GenerateListing):
	* programs/xkbcomp/xkbcomp.c:
	Bufzilla #1802, http://freedesktop.org/bugzilla/show_bug.cgi?id=1802
	Added mingw (Win32) port     

2004-11-15  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/X11/XlibInt.c (_XFopenFile):
	Bugzilla #1864, http://freedesktop.org/bugzilla/show_bug.cgi?id=1864
	Initialize pointer to NULL to avoid freeing random memory

2004-11-14  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Fix typos in output file.  (Bugzilla #1849, reported by Yi Ren-Chen)

2004-11-13  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_memcpy.c:
	(fastrdtsc):
	Bugzilla #1838, http://freedesktop.org/bugzilla/show_bug.cgi?id=1838
	fixed an asm cpuid call that clobbered the PIC register.

2004-11-13  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* include/extensions/XvMC.h:
	* include/extensions/XvMClib.h:
	* include/extensions/XvMCproto.h:
	* lib/XvMC/Imakefile:
	* lib/XvMC/XvMC.c: (XvMCGetDRInfo):
	* lib/XvMC/wrapper/XvMCWrapper.c: (dlopenversion), (preInitW),
	(initW):
	* programs/Xserver/Xext/xvmc.c: (ProcXvMCGetDRInfo),
	(xvmcNumRequest), (XvMCScreenInit), (xf86XvMCRegisterDRInfo):
	* programs/Xserver/Xext/xvmcext.h:
	Added support for automatic loading of the correct hardware
	XvMC driver. This involves a protocol extension of the
	XvMC protocol. The XvMC revision number was bumped.

2004-11-12 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/lib/GL/mesa/Imakefile
        * xc/lib/GL/mesa/math/Imakefile
        * xc/lib/GL/mesa/shader/Imakefile
        * xc/lib/GL/mesa/sparc/Imakefile
        * xc/lib/GL/mesa/swrast/Imakefile
        * xc/lib/GL/mesa/swrast_setup/Imakefile
        * xc/lib/GL/mesa/tnl/Imakefile
        * xc/lib/GL/mesa/tnl_dd/Imakefile
        Bugzilla #1843 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1843):
        Fix build failure in the linker stage of libOSMesa.so.4.0 which
        happens more or less every couple of months with the message
        "ld: fatal: too many symbols require `small' PIC references:
        have 2112, maximum 2048 -- recompile some modules -K PIC.".
        The fix is to add |#define LargePICTable YES| to _ALL_ relevant
        Imakefiles (previously this was done only on "on-demand" basis).

2004-11-11  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* config/cf/OpenBSDLib.tmpl:
	update shared lib revisions on OpenBSD (Bug #1828).
	* config/cf/xorgsite.def:
	* config/cf/xprint_site.def:
	update references to xf86site.def in comments (Bug #1827).
	* programs/Xserver/hw/xfree86/os-support/bsd/bsd_KbdMap.c:
	(KbdGetMapping):
	* programs/Xserver/hw/xfree86/os-support/bsd/bsd_kbd.c: (KbdOn),
	(KbdOff), (WSReadInput), (OpenKeyboard), (xf86OSKbdPreInit):
	fix kbd driver for wskbd protocol and pure wscons console driver
	(Bug #1825).
	* programs/Xserver/hw/xfree86/xf86cfg/interface.c: (main):
	don't add '-4' to generated default file name (bug #1826).
	* programs/xdm/resource.c:
	typo in resource name (XFree86 bug #1300, X.org bug #1825)

2004-11-10  Kristian HÃ¸gsberg  <krh@redhat.com>

	* lib/X11/XKBBind.c (XkbRefreshKeyboardMapping): Buzilla #1459,
	fix bzero() size argument so it doesn't trash the stack.

	* programs/xmodmap/pf.c (process_line): Fix off-by-one allocation
	error (#1818).

2004-11-09 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/lib/font/util/Imakefile
        * xc/lib/font/util/utilbitmap.c
        Bugzilla #1804 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1804):
        Fix build failure (caused by missing symbols such as |TwoByteSwap|)
        when linking the FreeType module and the FreeType library both
        statically info the Xserver.

2004-11-09  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv.man:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_cursor.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_dac.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_dma.h:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_proto.h:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_type.h:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_video.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_xaa.c:

	(Bugzilla #1777) Import Mark Vojkovich's changes to NV driver 
	since last sync	with XFree86, including:
	   Support for new NVIDIA chips.
	   Egbert has a laptop that needs some DPMS ordering reversed.
	   New chip support and workaround for Toshiba M30 laptop issue.
	   PCI-Xpress chip support.
	   DPMS support for DVI.
	   Cursor changes for NV11 so that alpha blended cursors will work
	     in conjunction with dithering (laptop panels).  It previously
	     did not.
	   HW support for alpha blended stretch blits on NV5 and higher,
	     though nothing is using them at this point.
	   Add support for VBlank syncing the Xv Blit adaptor on hardware
	     that supports it (NV11 and higher).
	   Make console restoration a little more robust.  We were making
	     an assumption that failed on a newer laptop.
	   Workaround for some NV31 DVI artifacts.	
	
	Also add nVidia license statement to nv man page to comply with
	requirement that it appear in "user documentation"

2004-11-09 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Imakefile
        Bugzilla #1811 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1811):
        Fix build failure when linking Xservers if
        |#define BuildComposite NO| was used.

2004-11-09 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/xprint_site.def
        Bugzilla #1810 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1810):
        Fix Xprint standalone config.

2004-11-09  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/drivers/wsfb:
	Bugs #1807 & #1808: make wsfb driver work on NetBSD (Nathan J. 
	Williams).

2004-11-09  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/xf86cfg/loader.h:
	Bug #557: Don't use "bool" as a variable name in xf86cfg, to avoid
	compiler bugs.  (Donnie Berkholz)

2004-11-09  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/elfloader.c:
	Bug #1765: Add support for R_ALPHA_SREL32 relocations in elfloader.
	Originally Debian patch 202_alpha_elfloader_support_R_ALPHA_SREL32.diff.
	(Falk Hueffner)

2004-11-08 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/nls/compose.dir
        * xc/nls/locale.alias
        * xc/nls/locale.dir
        * xc/programs/Xserver/XpConfig/Imakefile
        Bugzilla #1544 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1544):
        Adding support for the si_LK (si, sinhala, si_LK, si_LK.UTF-8)
        locale.
        Patch by Anuradha Ratnaweera <gnu.slash.linux@gmail.com>.

2004-11-08 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/xpr/x2jet.c
        * xc/programs/xpr/xpr.c
        Bugzilla #1795 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1795):
        Fix build bustage caused by bug 1779, patch by Bernhard
        Rosenkraenzer <bero@arklinux.org>.

2004-11-08 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/xpr/x2jet.c
        * xc/programs/xpr/x2pmp.c
        * xc/programs/xpr/xpr.c
        * xc/programs/xpr/xpr.h
        Bugzilla #1779 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1779):
        Fix various warnings, build problems in "xpr" and convert the
        whole source from K&R style to ANSI-C.

2004-11-08 Fabio M. Di Nitto <fabbione@fabbione.net>

	* programs/Xserver/hw/darwin/Imakefile
	* programs/Xserver/hw/darwin/quartz/Imakefile
	* programs/Xserver/hw/xfree86/common/Imakefile
	Rename XFREE86_CUSTOM_VERSION to XORG_CUSTOM_VERSION, since
	the former is not used anymore.
	Also ensure tohandle properly XFree86CustomVersion to not break
	actual build systems and provide smooth transition.
	If both XorgCustomVersion and XFree86CustomVersion are defined,
	the former is always preferred.
	* config/cf/linux.cf
	Rename XFree86CustomVersion to XorgCustomVersion in the Debian
	Maintainer section.

2004-11-07 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/sun.cf
        * xc/config/cf/sv4Lib.rules
        Bugzilla #1748: Fix the problem that libGLU was not being
        build on Solaris. This adds the missing
        |SharedDepCplusplusLibraryTarget| Imake rule which caused
        C++ libraries to be linked with plain "ld" instead of $(CXX),
        resulting in missing symbols when linking the library into
        applications which do not link to libCrun (Sun Workshop/Forte
        C++ runtime library) elsewhere, too.

2004-11-07 Fabio M. Di Nitto <fabbione@fabbione.net>

	* programs/Xserver/hw/dmx/config/Imakefile
	Add missing InstallProgram targets for the Xdmx configuration tools.

2004-11-05  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/fb/fb.h:
	Use ROOTLESS instead of platform specific defines.

2004-11-04 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/fonts/encodings/Imakefile
        * xc/fonts/encodings/ascii-0.enc
        * xc/programs/mkfontscale/mkfontscale.c
        Bugzilla #1703: Adding ascii-0 font encoding which helps in
        cases where a font has all ASCII chars populated but not enougth
        glyphs to match the requirements for ISO8859-1 (and to add
        backwards compatibility to ttmkfdir).

2004-11-04 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/nls/compose.dir
        * xc/nls/locale.alias
        * xc/nls/locale.dir
        * xc/programs/Xserver/XpConfig/Imakefile
        Bugzilla #860: Adding some of the major indic locales
        (bn_IN.UTF-8, bn_IN.utf8, gu_IN.UTF-8, gu_IN.utf8, pa_IN.UTF-8,
        pa_IN.utf8) to X.
        Patch by Leon Ho <llch@redhat.com>.

2004-11-03 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/doc/man/general/Standards.cpp
        * xc/doc/man/general/X.cpp
        * xc/doc/man/general/XProjectTeam.cpp
        * xc/doc/man/general/security.cpp
        * xc/extras/accessx/Imakefile
        * xc/extras/accessx/accessx.c
        * xc/extras/accessx/accessx.uil.cpp
        * xc/extras/accessx/accessx.xbm
        * xc/extras/accessx/accessxstrings.uil
        * xc/include/extensions/panoramiX.h
        * xc/lib/X11/xlibi18n/im/ximp40/Imakefile
        * xc/lib/X11/xlibi18n/im/ximp40/XIMProto.h
        * xc/lib/X11/xlibi18n/im/ximp40/Ximp40.mapfile
        * xc/lib/X11/xlibi18n/im/ximp40/XimpCallbk.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpConv.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpExten.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpIC.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpICG.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpICS.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpIM.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpIm.h
        * xc/lib/X11/xlibi18n/im/ximp40/XimpLkup.c
        * xc/lib/X11/xlibi18n/im/ximp40/XimpRm.c
        * xc/lib/X11/xlibi18n/lc/UTF-8/Imakefile
        * xc/lib/X11/xlibi18n/lc/UTF-8/Xlc.mapfile
        * xc/lib/X11/xlibi18n/lc/UTF-8/XlcDBUnicode.h
        * xc/lib/X11/xlibi18n/lc/UTF-8/XlcPublicUnicode.h
        * xc/lib/X11/xlibi18n/lc/UTF-8/lcDBUnicode.c
        * xc/lib/X11/xlibi18n/lc/UTF-8/lcPublicUnicode.c
        * xc/lib/X11/xlibi18n/lc/UTF-8/lcUNICODE.c
        * xc/lib/X11/xlibi18n/lc/big5/Imakefile
        * xc/lib/X11/xlibi18n/lc/big5/Xlc.mapfile
        * xc/lib/X11/xlibi18n/lc/big5/lcbig5.c
        * xc/lib/X11/xlibi18n/lc/gbk/Imakefile
        * xc/lib/X11/xlibi18n/lc/gbk/Xlc.mapfile
        * xc/lib/X11/xlibi18n/lc/gbk/lcgbk.c
        * xc/lib/X11/XlcUTF.h
        * xc/lib/X11/Xvarargs.h
        * xc/lib/X11/aixlcLoad.c
        * xc/lib/X11/lcUTF.c
        * xc/lib/Xext/XPanoramiX.c
        * xc/lib/xtrans/Xtransam.c
        * xc/nls/Compose/fcd8859-15
        * xc/nls/XI18N_OBJS/zh
        * xc/nls/XLC_LOCALE/conv_tables/BIG5-1.GLGR.txt
        * xc/nls/XLC_LOCALE/conv_tables/GB2312-0.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/GBK-0.GLGR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-10.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-15.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-2.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-3.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-4.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-5.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-6.GLGR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-6.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-7.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-8.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/ISO8859-9.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/Imakefile
        * xc/nls/XLC_LOCALE/conv_tables/JISX0201-0.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/JISX0208-0.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/JISX0212-0.GR.txt
        * xc/nls/XLC_LOCALE/conv_tables/KSC-JOHAP.GLGR.txt
        * xc/nls/XLC_LOCALE/conv_tables/SUNUDCJA.GL.txt
        * xc/nls/XLC_LOCALE/conv_tables/TIS620.2533-0.GR.txt
        * xc/nls/XLC_LOCALE/util/xuctblgen/Imakefile
        * xc/nls/XLC_LOCALE/util/xuctblgen/bool.h
        * xc/nls/XLC_LOCALE/util/xuctblgen/conv_def.h
        * xc/nls/XLC_LOCALE/util/xuctblgen/conv_info.c
        * xc/nls/XLC_LOCALE/util/xuctblgen/conv_info.h
        * xc/nls/XLC_LOCALE/util/xuctblgen/cstream.c
        * xc/nls/XLC_LOCALE/util/xuctblgen/cstream.h
        * xc/nls/XLC_LOCALE/util/xuctblgen/lookup_tbl.c
        * xc/nls/XLC_LOCALE/util/xuctblgen/lookup_tbl.h
        * xc/nls/XLC_LOCALE/util/xuctblgen/range_tbl.c
        * xc/nls/XLC_LOCALE/util/xuctblgen/range_tbl.h
        * xc/nls/XLC_LOCALE/util/xuctblgen/tblgen.c
        * xc/nls/XLC_LOCALE/util/xuctblgen/time.c
        * xc/nls/XLC_LOCALE/util/xuctblgen/time.h
        * xc/nls/XLC_LOCALE/util/Imakefile
        * xc/nls/XLC_LOCALE/en_US.utf
        * xc/nls/XLC_LOCALE/fcd8859-15
        * xc/nls/XLC_LOCALE/gb2312
        * xc/nls/XLC_LOCALE/jis0201
        * xc/nls/XLC_LOCALE/jis0208
        * xc/nls/XLC_LOCALE/ksc5601
        * xc/nls/XLC_LOCALE/tab8859_1
        * xc/nls/XLC_LOCALE/tab8859_10
        * xc/nls/XLC_LOCALE/tab8859_15
        * xc/nls/XLC_LOCALE/tab8859_2
        * xc/nls/XLC_LOCALE/tab8859_3
        * xc/nls/XLC_LOCALE/tab8859_4
        * xc/nls/XLC_LOCALE/tab8859_5
        * xc/nls/XLC_LOCALE/tab8859_6
        * xc/nls/XLC_LOCALE/tab8859_7
        * xc/nls/XLC_LOCALE/tab8859_8
        * xc/nls/XLC_LOCALE/tab8859_9
        * xc/nls/XLC_LOCALE/tabkoi8_r
        * xc/nls/XLC_LOCALE/th_TH.TACTIS
        * xc/nls/XLC_LOCALE/zh
        * xc/programs/Xserver/Xprint/Quarks.c
        * xc/programs/Xserver/Xprint/Xlcint.h
        * xc/programs/Xserver/Xprint/Xresource.h
        * xc/programs/Xserver/Xprint/Xrm.c
        * xc/programs/Xserver/Xprint/XrmI.h
        * xc/programs/Xserver/cfb/cfb8cppl.c
        * xc/programs/Xserver/hw/dec/ws/Imakefile
        * xc/programs/Xserver/hw/dec/ws/Xdec.man
        * xc/programs/Xserver/hw/dec/ws/acc_2da.c
        * xc/programs/Xserver/hw/dec/ws/acc_3d.c
        * xc/programs/Xserver/hw/dec/ws/acc_none.c
        * xc/programs/Xserver/hw/dec/ws/cfbinit.c
        * xc/programs/Xserver/hw/dec/ws/ext_device.c
        * xc/programs/Xserver/hw/dec/ws/init.c
        * xc/programs/Xserver/hw/dec/ws/keynames.h
        * xc/programs/Xserver/hw/dec/ws/mdepthinit.c
        * xc/programs/Xserver/hw/dec/ws/ws.h
        * xc/programs/Xserver/hw/dec/ws/ws_color.c
        * xc/programs/Xserver/hw/dec/ws/ws_io.c
        * xc/programs/Xserver/hw/hp/include/XHPproto.h
        * xc/programs/Xserver/hw/hp/include/hppriv.h
        * xc/programs/Xserver/hw/hp/input/X11/XHPlib.h
        * xc/programs/Xserver/hw/hp/input/drivers/Imakefile
        * xc/programs/Xserver/hw/hp/input/drivers/X0screens
        * xc/programs/Xserver/hw/hp/input/drivers/XHPKeymaps
        * xc/programs/Xserver/hw/hp/input/drivers/hil_driver.c
        * xc/programs/Xserver/hw/hp/input/drivers/hp7lc2k.c
        * xc/programs/Xserver/hw/hp/input/drivers/hp7lc2m.c
        * xc/programs/Xserver/hw/hp/input/drivers/ps2io.h
        * xc/programs/Xserver/hw/hp/input/Imakefile
        * xc/programs/Xserver/hw/hp/input/cr16.s
        * xc/programs/Xserver/hw/hp/input/get_tv.c
        * xc/programs/Xserver/hw/hp/input/getkeysym.c
        * xc/programs/Xserver/hw/hp/input/hildef.h
        * xc/programs/Xserver/hw/hp/input/hpKeyMap.c
        * xc/programs/Xserver/hw/hp/input/hpext.h
        * xc/programs/Xserver/hw/hp/input/hpkeys.h
        * xc/programs/Xserver/hw/hp/input/screentab.h
        * xc/programs/Xserver/hw/hp/input/x_hil.c
        * xc/programs/Xserver/hw/hp/input/x_hil.h
        * xc/programs/Xserver/hw/hp/input/x_hilinit.c
        * xc/programs/Xserver/hw/hp/input/x_hilinit.h
        * xc/programs/Xserver/hw/hp/input/x_serialdrv.h
        * xc/programs/Xserver/hw/hp/input/xtest1imp.c
        * xc/programs/Xserver/hw/hp/ngle/Imakefile
        * xc/programs/Xserver/hw/hp/ngle/dregs.h
        * xc/programs/Xserver/hw/hp/ngle/hyperScrn.c
        * xc/programs/Xserver/hw/hp/ngle/ngle.h
        * xc/programs/Xserver/hw/hp/ngle/ngleblt.c
        * xc/programs/Xserver/hw/hp/ngle/nglecolormap.c
        * xc/programs/Xserver/hw/hp/ngle/nglecolormap.h
        * xc/programs/Xserver/hw/hp/ngle/nglecopy.c
        * xc/programs/Xserver/hw/hp/ngle/nglecopy.h
        * xc/programs/Xserver/hw/hp/ngle/nglecursor.c
        * xc/programs/Xserver/hw/hp/ngle/nglecursor.h
        * xc/programs/Xserver/hw/hp/ngle/ngledevrom.h
        * xc/programs/Xserver/hw/hp/ngle/ngledoblt.o.8.07
        * xc/programs/Xserver/hw/hp/ngle/ngleextern.h
        * xc/programs/Xserver/hw/hp/ngle/nglehdw.h
        * xc/programs/Xserver/hw/hp/ngle/nglenoop.c
        * xc/programs/Xserver/hw/hp/ngle/nglenoop.h
        * xc/programs/Xserver/hw/hp/ngle/nglescreen.c
        * xc/programs/Xserver/hw/hp/ngle/nglescreen.h
        * xc/programs/Xserver/hw/hp/Imakefile
        * xc/programs/Xserver/hw/hp/Xhp.man
        * xc/programs/Xserver/hw/hp/ddx_info.c
        * xc/programs/Xserver/hw/hp/hpCursorUtils.c
        * xc/programs/Xserver/hw/hp/hpInit.c
        * xc/programs/Xserver/hw/sunAmoeba/Imakefile
        * xc/programs/Xserver/hw/sunAmoeba/sun.h
        * xc/programs/Xserver/hw/sunAmoeba/sunAmInit.c
        * xc/programs/Xserver/hw/sunAmoeba/sunAmIo.c
        * xc/programs/Xserver/hw/sunAmoeba/sunAmKbd.c
        * xc/programs/Xserver/hw/sunAmoeba/sunAmMouse.c
        * xc/programs/Xserver/hw/sunAmoeba/sunAmProbe.c
        * xc/programs/Xserver/hw/sunAmoeba/sunAmScreen.c
        * xc/programs/Xserver/hw/sunAmoeba/sunCfb.c
        * xc/programs/Xserver/hw/sunAmoeba/sunCursor.c
        * xc/programs/Xserver/hw/sunAmoeba/sunFbs.c
        * xc/programs/Xserver/hw/xfree68/LinkKit/Imakefile
        * xc/programs/Xserver/hw/xfree68/common/Imakefile
        * xc/programs/Xserver/hw/xfree68/common/XF68_FBDev.c
        * xc/programs/Xserver/hw/xfree68/doc/man/Imakefile
        * xc/programs/Xserver/hw/xfree68/doc/sgml/Imakefile
        * xc/programs/Xserver/hw/xfree68/doc/sgml/fbdev.sgml
        * xc/programs/Xserver/hw/xfree68/doc/Imakefile
        * xc/programs/Xserver/hw/xfree68/doc/README.fbdev
        * xc/programs/Xserver/hw/xfree68/etc/Imakefile
        * xc/programs/Xserver/hw/xfree68/fbdev/Imakefile
        * xc/programs/Xserver/hw/xfree68/fbdev/fbdev.c
        * xc/programs/Xserver/hw/xfree68/os-support/linux/Imakefile
        * xc/programs/Xserver/hw/xfree68/os-support/misc/Imakefile
        * xc/programs/Xserver/hw/xfree68/os-support/Imakefile
        * xc/programs/Xserver/hw/xfree68/Imakefile
        * xc/programs/Xserver/hw/xfree68/XF68Conf.cpp
        * xc/programs/Xserver/hw/xfree68/XF68_FBDev.man
        * xc/programs/Xserver/hw/xfree86/LinkKit/Imakefile
        * xc/programs/Xserver/hw/xfree86/LinkKit/Imakefile.LK
        * xc/programs/Xserver/hw/xfree86/LinkKit/README
        * xc/programs/Xserver/hw/xfree86/LinkKit/mkmf.cpp
        * xc/programs/Xserver/hw/xfree86/LinkKit/site.def.LK
        * xc/programs/Xserver/hw/xfree86/SuperProbe/00README
        * xc/programs/Xserver/hw/xfree86/SuperProbe/01.CopyRights
        * xc/programs/Xserver/hw/xfree86/SuperProbe/8514.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/AL.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/ARK.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/ATI.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/ATIMach.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Ahead.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Alliance.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Amake.cmds
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Amake.srclist
        * xc/programs/Xserver/hw/xfree86/SuperProbe/AsmMacros.h
        * xc/programs/Xserver/hw/xfree86/SuperProbe/CGA.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/ChipsTech.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Cirrus.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Compaq.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/GLINT.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Genoa.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/HMC.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Herc.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/I128.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Imakefile
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Intergraphics.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/MDA.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/MX.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Main.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Makefile.std
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Matrox.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/MemProbe.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/NCR.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/OS_386BSD.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/OS_Linux.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/OS_LynxOS.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/OS_Mach.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/OS_Minix.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/OS_Os2.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/OS_SYSV.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Oak.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/PCI.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/PCI.h
        * xc/programs/Xserver/hw/xfree86/SuperProbe/PatchLevel.h
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Primus.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Print.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Probe.h
        * xc/programs/Xserver/hw/xfree86/SuperProbe/RamDac.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/RealTek.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/S3.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/SiS.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/SigmaDesigns.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/SolX86IO.s
        * xc/programs/Xserver/hw/xfree86/SuperProbe/SuperProbe.man
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Trident.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Tseng.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/UMC.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Utils.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/VGA.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Video7.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/WD.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Weitek.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/Yamaha.c
        * xc/programs/Xserver/hw/xfree86/SuperProbe/sprobe.def
        * xc/programs/Xserver/hw/xfree86/VGADriverDoc/Imakefile
        * xc/programs/Xserver/hw/xfree86/VGADriverDoc/Imakefile.stub
        * xc/programs/Xserver/hw/xfree86/VGADriverDoc/VGADriver.Doc
        * xc/programs/Xserver/hw/xfree86/VGADriverDoc/stub_bank.s
        * xc/programs/Xserver/hw/xfree86/VGADriverDoc/stub_driver.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/Att490.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/Att490.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/Bt481.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/Bt481.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/Bt485.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/Bt485.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/agx/agx.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agx.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxBCach.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxBCach.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxBStor.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxBlt.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxCmap.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxCursor.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxDLine.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxDSeg.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxFArc.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxFCach.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxFPoly.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxFRect.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxFS.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxFont.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxGC.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxGC16.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxGC32.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxGS.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxGtImg.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxIm.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxIm.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxInit.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxLine.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxMap.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxPntWin.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxSS.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxScrIn.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxSeg.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxText.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/agxWin.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/hercRamDac.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/hercRamDac.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/regagx.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/xf861502x.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/xf861502x.h
        * xc/programs/Xserver/hw/xfree86/accel/agx/xf86RamDac.c
        * xc/programs/Xserver/hw/xfree86/accel/agx/xf86RamDac.h
        * xc/programs/Xserver/hw/xfree86/accel/i128/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128.h
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128Cursor.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128Cursor.h
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128IBMCurs.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128TiCurs.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128accel.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128gc.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128init.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128misc.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128reg.h
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/i128/i128stubs.c
        * xc/programs/Xserver/hw/xfree86/accel/cache/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/cache/xf86bcache.c
        * xc/programs/Xserver/hw/xfree86/accel/cache/xf86bcache.h
        * xc/programs/Xserver/hw/xfree86/accel/cache/xf86fcache.c
        * xc/programs/Xserver/hw/xfree86/accel/cache/xf86fcache.h
        * xc/programs/Xserver/hw/xfree86/accel/cache/xf86text.c
        * xc/programs/Xserver/hw/xfree86/accel/cache/xf86text.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/asm/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/asm/w32it.s
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/asm/w32line.s
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/asm/w32pit.s
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/dummy.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/et4000.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/et4000w32.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/gglbox.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/ggldraw.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/ramdac.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/vga.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/vgaCmap.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32blt.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32box.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32funcs.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32itext.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32map.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32stip.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32vars.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/w32/w32version.h
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfb8cppl.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfb8line.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbbitblt.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbblt.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbfillrct.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbfillsp.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbgc.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbgetsp.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbglblt8.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbply1rct.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbpntwin.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbpush8.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbscrinit.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbsetsp.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbsolid.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbtegblt.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbtile32.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/cfbtileodd.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/stipple.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32bres.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32bresd.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32fillarc.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32hrzvert.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32line.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32polypnt.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32rctstp8.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32teblt8.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/cfb.w32/w32zerarc.c
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/confw32.cmd
        * xc/programs/Xserver/hw/xfree86/accel/et4000w32/confw32.sh
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/8514cach.h
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/8514im.h
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/bcach.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/blt.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/bstor.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/dsline.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/dsseg.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/fc.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/fcach.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/font.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/frect.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/fs.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/gc.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/gs.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/gtimg.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/ibm8514.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/ibm8514.h
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/im.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/imfill.s
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/imread.s
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/imstip.s
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/imwrite.s
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/init.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/line.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/plypt.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/reg8514.h
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/seg.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/ss.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/text.c
        * xc/programs/Xserver/hw/xfree86/accel/ibm8514/win.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/mach32/ativga.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/ativga.h
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32.h
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32bc.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32blt.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32bstor.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32curs.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32dline.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32dseg.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32fcach.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32font.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32frect.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32fs.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32gc.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32gs.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32gtimg.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32im.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32im.h
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32init.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32line.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32mem.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32plypt.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32pntwn.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32seg.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32ss.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32text.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/mach32win.c
        * xc/programs/Xserver/hw/xfree86/accel/mach32/regmach32.h
        * xc/programs/Xserver/hw/xfree86/accel/mach64/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/mach64/ativga.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/ativga.h
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64.h
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64blt.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64bstor.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64curs.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64fcach.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64fifo.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64fifo.h
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64font.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64frect.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64fs.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64gc.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64im.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64im.h
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64init.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64line.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64orect.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64pcach.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64pntwn.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64seg.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64text.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64util.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/mach64win.c
        * xc/programs/Xserver/hw/xfree86/accel/mach64/regmach64.h
        * xc/programs/Xserver/hw/xfree86/accel/mach8/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8.h
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8bc.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8blt.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8bstor.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8cache.h
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8dsln.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8dssg.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8fc.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8fcach.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8font.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8frect.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8fs.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8gc.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8gs.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8gtimg.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8im.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8im.h
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8imfl.s
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8imrd.s
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8imst.s
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8imwrt.s
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8init.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8line.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8plypt.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8seg.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8ss.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8text.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/mach8win.c
        * xc/programs/Xserver/hw/xfree86/accel/mach8/regmach8.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/I2061Acal.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/I2061Aset.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/ICD2061A.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000Bt485.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000Bt485.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000BtCurs.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000blt.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000curs.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000curs.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000frect.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000gc.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000gc16.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000gc32.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000im.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000im.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000init.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000line.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000orchid.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000orchid.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000pntwin.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000reg.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000seg.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000text.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000vga.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000viper.c
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000viper.h
        * xc/programs/Xserver/hw/xfree86/accel/p9000/p9000win.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/drivers/mmio_928/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3/drivers/mmio_928/mmio_928.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/drivers/newmmio/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3/drivers/newmmio/newmmio.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/drivers/s3_generic/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3/drivers/s3_generic/s3_generic.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/drivers/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3mmio/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3newmmio/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3/IBMRGBCurs.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3/Ti3026Curs.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/confS3.sh
        * xc/programs/Xserver/hw/xfree86/accel/s3/confs3.cmd
        * xc/programs/Xserver/hw/xfree86/accel/s3/newmmio.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/regs3.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3Bt485.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3BtCursor.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3Cursor.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3Cursor.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3ELSA.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3ELSA.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3TiCursor.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3bcach.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3blt.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3bstor.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3dline.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3dseg.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3fcach.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3font.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3frect.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3fs.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3gc.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3gc16.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3gc24.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3gc32.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3gs.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3gtimg.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3im.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3im.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3init.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3line.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3linear.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3misc.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3name.h
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3plypt.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3ramdacs.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3seg.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3ss.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3text.c
        * xc/programs/Xserver/hw/xfree86/accel/s3/s3win.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/drivers/s3_virge/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/drivers/s3_virge/s3_virge.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/drivers/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/confS3V.sh
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/confs3v.cmd
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/newmmio-sizes.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/newmmio.h
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/regs3v.h
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3Cursor.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3Cursor.h
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3ELSA.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3ELSA.h
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3bcach.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3blt.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3bstor.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3cmap.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3dline.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3fcach.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3font.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3frect.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3fs.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3gc.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3gc16.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3gc24.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3gc32.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3gs.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3gtimg.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3im.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3im.h
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3init.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3line.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3misc.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3name.h
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3plypt.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3rop.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3scrin.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3ss.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3text.c
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3v.h
        * xc/programs/Xserver/hw/xfree86/accel/s3_virge/s3win.c
        * xc/programs/Xserver/hw/xfree86/accel/tga/Imakefile
        * xc/programs/Xserver/hw/xfree86/accel/tga/tga.c
        * xc/programs/Xserver/hw/xfree86/accel/tga/tga.h
        * xc/programs/Xserver/hw/xfree86/accel/tga/tgaBtCurs.c
        * xc/programs/Xserver/hw/xfree86/accel/tga/tga_accel.c
        * xc/programs/Xserver/hw/xfree86/accel/tga/tga_presets.h
        * xc/programs/Xserver/hw/xfree86/accel/tga/tga_regs.h
        * xc/programs/Xserver/hw/xfree86/accel/tga/tgacmap.c
        * xc/programs/Xserver/hw/xfree86/accel/tga/tgacurs.c
        * xc/programs/Xserver/hw/xfree86/accel/tga/tgacurs.h
        * xc/programs/Xserver/hw/xfree86/accel/tga/tgainit.c
        * xc/programs/Xserver/hw/xfree86/accel/Imakefile
        * xc/programs/Xserver/hw/xfree86/common/Mach32.c
        * xc/programs/Xserver/hw/xfree86/common/Mach64.c
        * xc/programs/Xserver/hw/xfree86/common/Mach8.c
        * xc/programs/Xserver/hw/xfree86/common/NOTES.Mice
        * xc/programs/Xserver/hw/xfree86/common/XF86_8514.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_AGX.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_I128.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_Mono.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_P9000.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_S3.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_SVGA.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_TGA.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_VGA16.c
        * xc/programs/Xserver/hw/xfree86/common/XF86_W32.c
        * xc/programs/Xserver/hw/xfree86/common/cfb16.h
        * xc/programs/Xserver/hw/xfree86/common/cfb24.h
        * xc/programs/Xserver/hw/xfree86/common/cfb32.h
        * xc/programs/Xserver/hw/xfree86/common/coKeynames.h
        * xc/programs/Xserver/hw/xfree86/common/xf86DCConf.c
        * xc/programs/Xserver/hw/xfree86/common/xf86DCConf.h
        * xc/programs/Xserver/hw/xfree86/common/xf86Dl.c
        * xc/programs/Xserver/hw/xfree86/common/xf86Elo.c
        * xc/programs/Xserver/hw/xfree86/common/xf86Jstk.c
        * xc/programs/Xserver/hw/xfree86/common/xf86Lock.c
        * xc/programs/Xserver/hw/xfree86/common/xf86Procs.h
        * xc/programs/Xserver/hw/xfree86/common/xf86Summa.c
        * xc/programs/Xserver/hw/xfree86/common/xf86Wacom.c
        * xc/programs/Xserver/hw/xfree86/common/xf86_Config.h
        * xc/programs/Xserver/hw/xfree86/common/xf86_Mouse.c
        * xc/programs/Xserver/hw/xfree86/common/xf86_Option.c
        * xc/programs/Xserver/hw/xfree86/common/xf86_Option.h
        * xc/programs/Xserver/hw/xfree86/common/xf86_PnPMouse.c
        * xc/programs/Xserver/hw/xfree86/common_hw/ATTDac.c
        * xc/programs/Xserver/hw/xfree86/common_hw/BUSmemcpy.c
        * xc/programs/Xserver/hw/xfree86/common_hw/BUSmemcpy.s
        * xc/programs/Xserver/hw/xfree86/common_hw/Ch8391clk.c
        * xc/programs/Xserver/hw/xfree86/common_hw/CirrusClk.c
        * xc/programs/Xserver/hw/xfree86/common_hw/CirrusClk.h
        * xc/programs/Xserver/hw/xfree86/common_hw/I2061Aalt.c
        * xc/programs/Xserver/hw/xfree86/common_hw/I2061Acal.c
        * xc/programs/Xserver/hw/xfree86/common_hw/I2061Aset.c
        * xc/programs/Xserver/hw/xfree86/common_hw/IBMRGB.c
        * xc/programs/Xserver/hw/xfree86/common_hw/IBMRGB.h
        * xc/programs/Xserver/hw/xfree86/common_hw/ICD2061A.h
        * xc/programs/Xserver/hw/xfree86/common_hw/ICS1562.c
        * xc/programs/Xserver/hw/xfree86/common_hw/ICS2595.c
        * xc/programs/Xserver/hw/xfree86/common_hw/ICS2595.h
        * xc/programs/Xserver/hw/xfree86/common_hw/IODelay.c
        * xc/programs/Xserver/hw/xfree86/common_hw/IODelay.s
        * xc/programs/Xserver/hw/xfree86/common_hw/Imakefile
        * xc/programs/Xserver/hw/xfree86/common_hw/S3gendac.c
        * xc/programs/Xserver/hw/xfree86/common_hw/S3gendac.h
        * xc/programs/Xserver/hw/xfree86/common_hw/SC11412.c
        * xc/programs/Xserver/hw/xfree86/common_hw/SC11412.h
        * xc/programs/Xserver/hw/xfree86/common_hw/STG1703clk.c
        * xc/programs/Xserver/hw/xfree86/common_hw/SlowBcopy.c
        * xc/programs/Xserver/hw/xfree86/common_hw/SlowBcopy.s
        * xc/programs/Xserver/hw/xfree86/common_hw/Ti3025clk.c
        * xc/programs/Xserver/hw/xfree86/common_hw/Ti3026clk.c
        * xc/programs/Xserver/hw/xfree86/common_hw/Ti302X.h
        * xc/programs/Xserver/hw/xfree86/common_hw/glibcAxpIo.c
        * xc/programs/Xserver/hw/xfree86/common_hw/xf86_ClkPr.c
        * xc/programs/Xserver/hw/xfree86/common_hw/xf86_HWlib.h
        * xc/programs/Xserver/hw/xfree86/common_hw/xf86_PCI.c
        * xc/programs/Xserver/hw/xfree86/common_hw/xf86_PCI.h
        * xc/programs/Xserver/hw/xfree86/doc/Japanese/sgml/BUILD.sgml
        * xc/programs/Xserver/hw/xfree86/doc/Japanese/sgml/chips.sgml
        * xc/programs/Xserver/hw/xfree86/doc/Japanese/BUILD
        * xc/programs/Xserver/hw/xfree86/doc/Japanese/README.chips
        * xc/programs/Xserver/hw/xfree86/doc/sgml/CPYRIGHT.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/DocIndex.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/LinkKit.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/Mach.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/NV1.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/OS2note.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/QStart.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/RELNOTE.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/S3V.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/SOLX86.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/VGADriv.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/VidModes.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/W32.sgml
        * xc/programs/Xserver/hw/xfree86/doc/sgml/clkprog.sgml
        * xc/programs/Xserver/hw/xfree86/doc/COPYRIGHT
        * xc/programs/Xserver/hw/xfree86/doc/READ.FreeBSD
        * xc/programs/Xserver/hw/xfree86/doc/README.Mach
        * xc/programs/Xserver/hw/xfree86/doc/README.S3V
        * xc/programs/Xserver/hw/xfree86/doc/README.SOLX86
        * xc/programs/Xserver/hw/xfree86/doc/README.W32
        * xc/programs/Xserver/hw/xfree86/doc/README.clkprog
        * xc/programs/Xserver/hw/xfree86/doc/README.trident
        * xc/programs/Xserver/hw/xfree86/etc/BM-Lynx.shar
        * xc/programs/Xserver/hw/xfree86/etc/apSolx86.shar
        * xc/programs/Xserver/hw/xfree86/etc/et4000clock.c
        * xc/programs/Xserver/hw/xfree86/etc/ioctl_pc.h
        * xc/programs/Xserver/hw/xfree86/etc/ld-wrapper.c
        * xc/programs/Xserver/hw/xfree86/etc/postinst.sh
        * xc/programs/Xserver/hw/xfree86/etc/preinst.sh
        * xc/programs/Xserver/hw/xfree86/mono/drivers/apollo/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/drivers/apollo/apolloBlt.c
        * xc/programs/Xserver/hw/xfree86/mono/drivers/apollo/apolloHW.h
        * xc/programs/Xserver/hw/xfree86/mono/drivers/apollo/apollodriv.c
        * xc/programs/Xserver/hw/xfree86/mono/drivers/hercules/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/drivers/hercules/hercules.c
        * xc/programs/Xserver/hw/xfree86/mono/drivers/hgc1280/HGC1280.info
        * xc/programs/Xserver/hw/xfree86/mono/drivers/hgc1280/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/drivers/hgc1280/hgc1280HW.h
        * xc/programs/Xserver/hw/xfree86/mono/drivers/hgc1280/hgc1280driv.c
        * xc/programs/Xserver/hw/xfree86/mono/drivers/sigma/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/drivers/sigma/sigmaHW.h
        * xc/programs/Xserver/hw/xfree86/mono/drivers/sigma/sigmadriv.c
        * xc/programs/Xserver/hw/xfree86/mono/drivers/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/mfb.banked/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/mfb.banked/mfblinebank.h
        * xc/programs/Xserver/hw/xfree86/mono/mfb.banked/mfbmap.h
        * xc/programs/Xserver/hw/xfree86/mono/mfb.banked/mfbmap.sh
        * xc/programs/Xserver/hw/xfree86/mono/mono/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/mono/mono.c
        * xc/programs/Xserver/hw/xfree86/mono/mono/mono.h
        * xc/programs/Xserver/hw/xfree86/mono/COPYRIGHT
        * xc/programs/Xserver/hw/xfree86/mono/Imakefile
        * xc/programs/Xserver/hw/xfree86/mono/USING
        * xc/programs/Xserver/hw/xfree86/mono/confmono.cmd
        * xc/programs/Xserver/hw/xfree86/mono/confmono.sh
        * xc/programs/Xserver/hw/xfree86/os-support/amoeba/Imakefile
        * xc/programs/Xserver/hw/xfree86/os-support/amoeba/am_init.c
        * xc/programs/Xserver/hw/xfree86/os-support/amoeba/am_io.c
        * xc/programs/Xserver/hw/xfree86/os-support/amoeba/am_video.c
        * xc/programs/Xserver/hw/xfree86/os-support/bsd/bsd_video.c
        * xc/programs/Xserver/hw/xfree86/os-support/mach/Imakefile
        * xc/programs/Xserver/hw/xfree86/os-support/mach/bios_mmap.c
        * xc/programs/Xserver/hw/xfree86/os-support/mach/mach_init.c
        * xc/programs/Xserver/hw/xfree86/os-support/mach/mach_io.c
        * xc/programs/Xserver/hw/xfree86/os-support/mach/mach_video.c
        * xc/programs/Xserver/hw/xfree86/os-support/minix/Imakefile
        * xc/programs/Xserver/hw/xfree86/os-support/minix/bios_devmem.c
        * xc/programs/Xserver/hw/xfree86/os-support/minix/local.h
        * xc/programs/Xserver/hw/xfree86/os-support/minix/mnx_init.c
        * xc/programs/Xserver/hw/xfree86/os-support/minix/mnx_io.c
        * xc/programs/Xserver/hw/xfree86/os-support/minix/mnx_video.c
        * xc/programs/Xserver/hw/xfree86/os-support/shared/IO_utils.c
        * xc/programs/Xserver/hw/xfree86/os-support/shared/mapVT_noop.c
        * xc/programs/Xserver/hw/xfree86/os-support/shared/std_mouse.c
        * xc/programs/Xserver/hw/xfree86/os-support/shared/std_mseEv.c
        * xc/programs/Xserver/hw/xfree86/os-support/solx86/Imakefile
        * xc/programs/Xserver/hw/xfree86/os-support/solx86/solx86_init.c
        * xc/programs/Xserver/hw/xfree86/os-support/solx86/solx86_iout.s
        * xc/programs/Xserver/hw/xfree86/os-support/solx86/solx86_mmap.c
        * xc/programs/Xserver/hw/xfree86/os-support/solx86/solx86_vid.c
        * xc/programs/Xserver/hw/xfree86/os-support/sysv/bios_V4mmap.c
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/ati/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/oak/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/cl64xx/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/et3000/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/et4000/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/generic/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/ncr77c22/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/sis/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/tvga8900/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/drivers/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/Imakefile
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/OScompiler.h
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/emulOpStip.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/emulRepAre.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/emulStip.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/emulTile.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ibmTrace.h
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/mfbbres.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/mfbbresd.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/mfbfillarc.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/mfbhrzvert.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/mfbimggblt.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/mfbline.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/mfbzerarc.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/offscreen.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppc.h
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcArea.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcBStore.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcBitMacs.h
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcBitmap.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcCReduce.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcClip.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcCpArea.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcCurs.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcDepth.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcFillRct.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcGC.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcGCstr.h
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcGetSp.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcIO.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcImg.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcPixFS.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcPixmap.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcPntWin.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcPolyPnt.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcPolyRec.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcPushPxl.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcQuery.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcRot.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcRslvC.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcScrn.h
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcSetSp.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcSpMcro.h
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcWinFS.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/ppcWindow.c
        * xc/programs/Xserver/hw/xfree86/vga16/ibm/vga16.h
